// The code in this file has been cleaned up. A lot of code, which was disabled 
// for several build patch levela, was removed. Also some comments have been
// removed to keep the code readable. To keep credit where credit is due, please
// leave this note. The following modders have done a good job on improving item
// diversity and usability (abbreviations as in code): KK, NK, KevAtl, PB, JRH,  
// scheffnow, SuperDurnius, BB (and others, but I kept all their comments)
// 2011-08-31 Sulan 

extern void InitQuestItems(); // KK

void InitItems()  // economics adjusted by BB & Sulan 2011-08
{
  InitButtons();
  ref itm;
  int n,i;

  for(n=0; n<MAX_ITEMS; n++) // NK
  {
    makeref(itm,Items[n]);
    DeleteAttribute(&itm, "");
    itm.id = "blank"; 
    itm.index = n; // NK
    itm.numrand = 1;
    itm.skiptrade = true;
    itm.skiptype = false; // skip auto assign of itm.type.(itm.groupID) = true. 05-04-07
    itm.skipsell = false; // 05-04-06 so traders can buy items but not sell them.
    itm.skiprand = true;
    itm.skipequip = true;
    itm.skipgeneral = false; // 05-04-01 NK itemtrade
    itm.minlevel = 1; // fudgefix for trading
    itm.quality = -1; // NK 05-04-03 itemtrade assign quality. -1 means auto-assign based on price.
    itm.describe = "";
    itm.model = "";
    itm.shown = false;
    itm.startLocation = "";
    itm.startLocator = "";
    itm.useLocation = "";
    itm.useLocator = "";
    itm.describe = "";
  }
  
  // KK -->
  QUESTITEMS_QUANTITY = InitQuestItem(0, "gold",    "gold",   "",     4,  2,    0,0,  "","",  "","",    "","",""  );
  if (FindFile("PROGRAM\" + GetStorylinePath(FindCurrentStoryline()) + "ITEMS", "*.c", "initQuestItems.c") != "") {
    if (LoadSegment(GetStorylinePath(FindCurrentStoryline()) + "ITEMS\initQuestItems.c")) {
      initQuestItems();
      UnloadSegment(GetStorylinePath(FindCurrentStoryline()) + "ITEMS\initQuestItems.c");
    }
  }
  n = QUESTITEMS_QUANTITY;
  // <-- KK

  //--------------------------------------------------------------------------------------------------------------------------------------------------
  // Non-trade Non-random special general items
  //-------------------------------------------------------------------O----------------SKILL ITEM SETTINGS----------------O------------------
  // GENERAL:  ItemIndex                   picIndex          Price     |numneeded  leader      accuracy    repair     sneak|  skiptrade
  //       | itmID      modelID           |   rare         |       | |stack     |  fencing  |  cannons  |  defense  |  |  | skiprand
  //       |  |            |  picTexture  |    |  MinLevel | indian| |  |hidden |   |  sailing  |  grapple  |  commerce|  | | skipequip
  //-----------|--|------------|----------|---|----|-----|-----|----|--O-|--|--|----|---|---|---|---|---|---|---|---|---|--O--|-|-|-skipsell--
  // CURSED COINS:
  //--------------------------------------------------------------------------------------------------------------------------------------------------
  n = InitItem(n,"cursedcoin", "",    4, 15,  0.10,  5,   50,   0,   1,10, 1,   0,  0,  0,  0,  0,  0,  0,  0,  0, -2,    1,0,1,1);
  //--------------------------------------------------------------------------------------------------------------------------------------------------
  // HOLY ITEMS:
  //--------------------------------------------------------------------------------------------------------------------------------------------------
  // scheffnow -->
  n = InitItem(n,"holycross1", "",    8,  1,  0.01,  0,    0,   0,   1, 1, 1,  +4, +4, +1, +1, +1, +1, +1, +1, +1, +4,    1,1,1,1);
  n = InitItem(n,"holycross2", "",    8,  2,  0.10,  0,    0,   0,   0, 0, 0,   0,  0,  0,  0,  0,  0,  0,  0,  0,  0,    1,1,1,1);
  n = InitItem(n,"holycross3", "",    8,  3,  0.01,  0,    0,   0,   0, 0, 0,   0,  0,  0,  0,  0,  0,  0,  0,  0,  0,    1,1,1,1);
  // scheffnow <--
  //--------------------------------------------------------------------------------------------------------------------------------------------------
  // TATTOOS:
  //--------------------------------------------------------------------------------------------------------------------------------------------------
  // Alan_Smithee Opium Den & Tattoos -->
  n = InitItem(n,"tatt1", "", "medals2",  5,  0.10,  0,    0,   0,   0, 0, 0,   0,  0,  0,  0,  0,  0,  0,  0,  0,  0,    1,1,1,1);
  n = InitItem(n,"tatt2", "", "medals2",  7,  0.10,  0,    0,   0,   0, 0, 0,   0,  0,  0,  0,  0,  0,  0,  0,  0,  0,    1,1,1,1);
  n = InitItem(n,"tatt3", "", "medals2",  8,  0.10,  0,    0,   0,   0, 0, 0,   0,  0,  0,  0,  0,  0,  0,  0,  0,  0,    1,1,1,1);
  n = InitItem(n,"tatt4", "", "medals2",  9,  0.10,  0,    0,   0,   0, 0, 0,   0,  0,  0,  0,  0,  0,  0,  0,  0,  0,    1,1,1,1);
  n = InitItem(n,"tatt5", "", "medals2", 10,  0.10,  0,    0,   0,   0, 0, 0,   0,  0,  0,  0,  0,  0,  0,  0,  0,  0,    1,1,1,1);
  // Alan_Smithee Opium Den & Tattoos <--
  //--------------------------------------------------------------------------------------------------------------------------------------------------
  n = InitItem(n,"lockpick",  "",     8,  8,  0.10,  5,   50,   0,   0, 0, 0,   0,  0,  0,  0,  0,  0,  0,  0,  0,  0,    1,0,0,1); // Lockpick
  n = InitItem(n,"Santos_Ring", "",   8, 12,  0.10,  5, 2400,   0,   0, 0, 1,  +2, +1,  0,  0,  0,  0,  0,  0,  0,  0,    0,1,1,1); // Mateus Santos' Ring
  n = InitItem(n,"Sparrow_Ring", "",  2,  6,  0.10,  5, 3000,   0,   0, 0, 1,  +2, +1,  0,  0,  0,  0,  0,  0,  0,  0,    0,1,1,1); // Jack Sparrow's Ring
  n = InitItem(n,"Sparrow_Ring1", "", 2,  7,  0.10,  5, 2500,   0,   0, 0, 1,  +2, +1,  0,  0,  0,  0,  0,  0,  0,  0,    0,1,1,1); // Jack Sparrow's Ring

  //--------------------------------------------------------------------------------------------------------------------------------
  // ccc Building Kit Buildings Dec 05
  // All building items are default set to SKIPTRADE
  //--------------------------------------------------------------------------------------------------------------------------------
  // BUILDING     ItemIndex                                                         planks                     piercing
  // EXTERIORS        | ID                  modelID          chrmodel                          |   money            maxDmg|
  //              |  |                     |              |           dialog               |    |    crew  minDmg |   |  block
  //------------------|--|---------------------|--------------|-------------|------------------|----|-----|------|----|---|---|-----
  n = InitBLDexterior(n,"house",      "B_house02",    "B_man",        "b_house.c",        20,  4000,  3,   1.0, 2.0,  0, 20 );  // house
  n = InitBLDexterior(n,"workshop",   "B_workshop",   "B_worker",     "b_workshop.c",     20,  4000,  3,   1.0, 2.0,  0, 20 );  // workshop
  n = InitBLDexterior(n,"farm",       "B_farm",       "B_farmer",     "B_farm.c",         30,  5000, 10,   1.0, 2.0,  0, 20 );  // farm
  n = InitBLDexterior(n,"mansion",    "B_manor",      "B_girl",       "b_mansion.c",      30, 20000,  5,   1.0, 2.0,  0, 20 );  // mansion
  n = InitBLDexterior(n,"observatory","B_lighthouse", "B_girl",       "b_mansion.c",      30, 20000,  5,   1.0, 2.0,  0, 20 );  // observatory
  n = InitBLDexterior(n,"forest",     "B_leaf",       "B_man",        "b_forest.c",        2,  1000,  5,   1.0, 2.0,  0, 20 );  // forest
  n = InitBLDexterior(n,"jungle",     "b_bigforest",  "B_invisible",  "b_bigforest.c",    20,  1000,  5,   1.0, 2.0,  0, 20 );  // BIG forest added Feb06
  n = InitBLDexterior(n,"jungle2",    "b_leaf",       "B_invisible",  "b_bigforest.c",     2,  1000,  5,   1.0, 2.0,  0, 20 );  // small forest added Feb06
  n = InitBLDexterior(n,"College",    "b_college",    "B_invisible",  "B_invisible.c",    40, 10000,  5,   1.0, 2.0,  0, 20 );  // College  added Feb06
  n = InitBLDexterior(n,"church",     "b_church",     "B_invisible",  "B_invisible.c",    40, 10000,  5,   1.0, 2.0,  0, 20 );  // church added Feb06
  n = InitBLDexterior(n,"barracks",   "b_barracks",   "B_invisible",  "B_invisible.c",    40, 10000,  5,   1.0, 2.0,  0, 20 );  // barracks added Feb06
  n = InitBLDexterior(n,"windmill",   "b_windmill",   "B_invisible",  "B_invisible.c",    40, 10000,  5,   1.0, 2.0,  0, 20 );  // windmill added Feb06
  n = InitBLDexterior(n,"shipyard",   "b_shipyard",   "B_worker",     "B_shipyard.c",     40, 10000,  5,   1.0, 2.0,  0, 20 );  // shipyard added Feb06
  n = InitBLDexterior(n,"shipyard2",  "b_shipyard",   "B_worker",     "B_shipyard2.c",    40, 10000,  5,   1.0, 2.0,  0, 20 );  // PB: Shipyard that doesn't function
  n = InitBLDexterior(n,"warehouse",  "b_warehouse",  "B_invisible",  "B_invisible.c",    40, 10000,  5,   1.0, 2.0,  0, 20 );  // warehouse  added Feb06
  n = InitBLDexterior(n,"keep",       "B_keep",       "B_soldier",    "b_keep.c",         30, 20000, 15,   1.0, 2.0,  0, 20 );  // keep
  n = InitBLDexterior(n,"tower",      "B_tower",      "B_soldier",    "b_keep.c",         30, 20000, 15,   1.0, 2.0,  0, 20 );  // Tower (old Keep)
  n = InitBLDexterior(n,"bastion",    "B_town",       "B_soldier",    "b_fortification.c",30, 10000, 15,   1.0, 2.0,  0, 20 );  // bastion
  n = InitBLDexterior(n,"townwalls",  "B_townwalls",  "B_soldier",    "b_fortification.c",90, 50000, 30,   1.0, 2.0,  0, 20 );  // townwalls  added Feb06  used for Antigua
  n = InitBLDexterior(n,"box",        "B_box",        "B_invisible",  "b_box.c",           2,   100,  0,   1.0, 2.0,  0, 20 );  // box
  n = InitBLDexterior(n,"fence",      "B_fence",      "B_soldier",    "b_fortification.c",10,  1000,  5,   1.0, 2.0,  0, 20 );  // stockade fence
  n = InitBLDexterior(n,"fence2",     "B_fence",      "B_invisible",  "",                 10,  1000,  5,   1.0, 2.0,  0, 20 );  // stockade fence
  n = InitBLDexterior(n,"bastion2",   "B_town",       "B_invisible",  "",                 30, 10000, 15,   1.0, 2.0,  0, 20 );  // bastion
  n = InitBLDexterior(n,"keep2",      "B_keep",       "B_invisible",  "",                 30, 20000, 15,   1.0, 2.0,  0, 20 );  // keep
  n = InitBLDexterior(n,"bale",       "B_Bale",       "B_invisible",  "b_box.c",           2,   100,  0,   1.0, 2.0,  0, 20 );  // Bale
  n = InitBLDexterior(n,"entrance",   "B_entrance",   "B_invisible",  "",                 20,  4000,  3,   1.0, 2.0,  0, 20 );  // entrance
  n = InitBLDexterior(n,"wall",       "B_wall",       "B_invisible",  "",                 20,  4000,  3,   1.0, 2.0,  0, 20 );  // wall
  n = InitBLDexterior(n,"Sign",       "B_sign",       "B_invisible",  "",                 20,  4000,  3,   1.0, 2.0,  0, 20 );  // Sign
  n = InitBLDexterior(n,"keep3",      "B_keep3",      "B_soldier",    "b_keep.c",         30, 20000, 15,   1.0, 2.0,  0, 20 );  // bigger keep
  n = InitBLDexterior(n,"tower2",     "B_tower2",     "B_invisible",  "b_keep.c",         30, 20000, 15,   1.0, 2.0,  0, 20 );  // Tower with gallows
  n = InitBLDexterior(n,"cannonb",    "B_cannonb",    "B_invisible",  "",                 30, 10000, 15,   1.0, 2.0,  0, 20 );  // big cannon
  n = InitBLDexterior(n,"cannonl",    "B_cannonl",    "B_invisible",  "",                 30, 10000, 15,   1.0, 2.0,  0, 20 );  // small cannon
  n = InitBLDexterior(n,"hut",        "B_hut",        "B_invisible",  "",                 20,  4000,  3,   1.0, 2.0,  0, 20 );  // hut
  n = InitBLDexterior(n,"boxes",      "B_boxes",      "B_invisible",  "b_box.c",           2,   100,  0,   1.0, 2.0,  0, 20 );  // boxes
  n = InitBLDexterior(n,"chain",      "B_chain",      "B_invisible",  "",                 20,  4000,  3,   1.0, 2.0,  0, 20 );  // chain
  n = InitBLDexterior(n,"gallows",    "B_gallows",    "B_invisible",  "",                 20,  4000,  3,   1.0, 2.0,  0, 20 );  // gallows
  n = InitBLDexterior(n,"hutindy",    "B_hutindy",    "B_invisible",  "",                 20,  4000,  3,   1.0, 2.0,  0, 20 );  // indian hut
  n = InitBLDexterior(n,"ladder",     "B_ladder",     "B_invisible",  "",                 20,  4000,  3,   1.0, 2.0,  0, 20 );  // ladder
  n = InitBLDexterior(n,"roche",      "B_roche",      "B_invisible",  "",                 20,  4000,  3,   1.0, 2.0,  0, 20 );  // roche brasiliano
  n = InitBLDexterior(n,"grapnel",    "B_grapnel",    "B_invisible",  "",                 20,  4000,  3,   1.0, 2.0,  0, 20 );  // grapnel
  n = InitBLDexterior(n,"tent",       "B_tent",       "B_invisible",  "B_invisible.c",    40, 10000,  5,   1.0, 2.0,  0, 20 );  // military tent
  n = InitBLDexterior(n,"pit",        "B_pit",        "B_invisible",  "",                 20,  4000,  3,   1.0, 2.0,  0, 20 );  // fire pit
  n = InitBLDexterior(n,"Field_Cannon_1",     "Field_Cannon_1",     "B_invisible", "",    30, 10000, 15,   1.0, 2.0,  0, 20 );  // iron field cannon
  n = InitBLDexterior(n,"Field_Cannon_1x2",   "Field_Cannon_1x2",   "B_invisible", "",    30, 10000, 15,   1.0, 2.0,  0, 20 );  // iron double-barrel field cannon
  n = InitBLDexterior(n,"Field_Cannon_2",     "Field_Cannon_2",     "B_invisible", "",    30, 10000, 15,   1.0, 2.0,  0, 20 );  // bronze field cannon
  n = InitBLDexterior(n,"Field_Cannon_2x2",   "Field_Cannon_2x2",   "B_invisible", "",    30, 10000, 15,   1.0, 2.0,  0, 20 );  // bronze double-barrel field cannon
  n = InitBLDexterior(n,"Field_Cannon_3",     "Field_Cannon_3",     "B_invisible", "",    30, 10000, 15,   1.0, 2.0,  0, 20 );  // black field cannon
  n = InitBLDexterior(n,"Field_Cannon_3x2",   "Field_Cannon_3x2",   "B_invisible", "",    30, 10000, 15,   1.0, 2.0,  0, 20 );  // black double-barrel field cannon
  n = InitBLDexterior(n,"Field_Cannon_broken","Field_Cannon_broken","B_invisible", "",    30, 10000, 15,   1.0, 2.0,  0, 20 );  // broken iron field cannon


  //--------------------------------------------------------------------------------------------------------------------------------
  // BUILDING     ItemIndex                            planks         Charges              Accuracy
  // INTERIORS        | ID                  modelID               |   money       |  Speed      maxDmg  |
  //              |  |                     |                  |    |   crew   |   |   minDmg  |     |
  //------------------|--|---------------------|------------------|----|----|-----|---|-----|-----|-----|---------------------------
  n = InitBLDinterior(n,"Windmillfan",        "B_Windmillfan", 5,  5000, 3,    1, 10,   10.0, 10.0,  80 );   // Fan for windmill
  n = InitBLDinterior(n,"marketstall",        "B_market",      5,  5000, 3,    1, 10,   10.0, 10.0,  80 );   // marketstall
  n = InitBLDinterior(n,"luxurious furniture","B_furniture",   5,  1000, 1,    1,  1,   10.0, 10.0,  80 );   // luxurious furniture
  n = InitBLDinterior(n,"boudoir",            "B_boudoir",     5,  1000, 1,    1,  1,   10.0, 10.0,  80 );   // boudoir
  n = InitBLDinterior(n,"office",             "B_office",      5,  1000, 1,    1,  1,   10.0, 10.0,  80 );   // office
  n = InitBLDinterior(n,"mine",               "B_derrick",    10,  4000, 5,    1, 10,   10.0, 10.0,  80 );   // mine
  n = InitBLDinterior(n,"dock",               "B_dock",       10,  4000, 5,    1, 10,   10.0, 10.0,  80 );   // dock
  n = InitBLDinterior(n,"distillery",         "B_distillery", 10,  4000, 5,    1, 10,   10.0, 10.0,  80 );   // distillery
  n = InitBLDinterior(n,"foundry",            "B_foundry",    10,  4000, 5,    1, 10,   10.0, 10.0,  80 );   // foundry
  n = InitBLDinterior(n,"Cannon",             "B_Cannon",      1,  5000, 5,    1, 10,  200.0,300.0,  70 );   // Cannon
  //--------------------------------------------------------------------------------------------------------------------------------
  // ccc building kit end <--

  // NK 05-04-07 so we can skip the skiptrade items. Note that _some_ items after FIRST_TRADE_ITEM will have skiptrade;
  FIRST_TRADE_ITEM = n;
  // IMPORTANT: makesure that none _before_ it do _not_!
  // NOTE: as of 05-07-22, I am moving this back to cover all items with skiprand = false as well. This is because we need to sort by level all following items.
  // That means that some of Alan's stuff is above, and some below.
  

  //-----------------------------------------------------------------------------------------------------------------
  // Pickup items all are default set to SKIPTRADE
  //-----------------------------------------------------------------------------------------------------------------
  // PICKUP GOLD:                             gold
  //         ItemIndex                rare    |    numrand increment (adds more than one of this to random items tree)
  //             |  itmID   modelID     |     |    |
  //-----------------|--|----------|--------|-----|----|-------------------------------------------------------------
  n = InitPickUpItem(n,"100gp", "purse",  0.30,  100,  RANDITEMS_MAXCHANCE*1.5 );  // 100 gp  // numrand = 15
  n = InitPickUpItem(n,"250gp", "pursem", 0.20,  250,  RANDITEMS_MAXCHANCE*1.25 ); // 250 gp  // numrand = 12
  n = InitPickUpItem(n,"500gp", "pursel", 0.10,  500,  RANDITEMS_MAXCHANCE/2 );    // 500 gp  // numrand = 5
  //-----------------------------------------------------------------------------------------------------------------


  //-----------------------------------------------------------------------------------------------------------------
  // Alan_Smithee Apothecary Meds -->
  //-----------------------------------------------------------------------------------------------------------------
  // APOTHECARY:                       picIndex        Price   ispotion   antidote           skiptrade
  //        ItemIndex        picTexture   |   rare       |     | pic      |   health         | skiprand
  //            |  itmID   modelID    |   |    |  MinLevel |     |  | tex   |   |              | | skipequip
  //----------------|--|----------|-------|---|----|-----|-----|-----|--|--|----|---|--------------|-|-|-------------
  n = InitApothItem(n,"leeches", "",  "AS",1, 0.80,  1,   20,    1, 0, 2,   1, -20.0,          1,1,1);// Leeches
  n = InitApothItem(n,"meds1",  "",   "AS",4, 0.30,  1,  350,    0, 0, 0,   0,   0.0,          1,0,1);// Meds 1
  n = InitApothItem(n,"meds2",  "",   "AS",6, 0.20,  1,  450,    0, 0, 0,   0,   0.0,          1,0,1);// Meds 2
  n = InitApothItem(n,"meds3",  "",   "AS",5, 0.40,  1,  250,    0, 0, 0,   0,   0.0,          1,0,1);// Meds 3
  n = InitApothItem(n,"meds4",  "",   "AS",3, 0.10,  1,  500,    0, 0, 0,   0,   0.0,          1,0,1);// Meds 4
  //-----------------------------------------------------------------------------------------------------------------
  // Alan_Smithee Apothecary Meds <--
  //-----------------------------------------------------------------------------------------------------------------


  //-------------------------------------------------------------------------------------------------------------------------------
  // ccc special weapon assembly kit -->
  // PB: SWAK Code moved here, so you won't fast-equip SWAK weapon's unless you don't have anything else
  // NK 05-07-10 change stun, steal, stealth from bool to float for chance, place all effect1/effect2 things under always.fx.* or (attacktype).fx.*
  // NK 05-07-22 fiddle with rarity.
  //===================================================================
  // These are just too crazy to put into compaction functions
  //===================================================================

  // PB: Fists // moved here because its sort of a special weapon
  makeref(itm,Items[n]);
  itm.id          = "bladeX4";
  itm.fist        = 1;  // new attribute, exclusively for your fists
  itm.enblrld     = true; // you can reload your gun when using this
  itm.skiptrade   = true; // you can't buy them
  itm.skiprand    = true; // you can't find them
  itm.skipequip   = true; // not used in auto equip
  itm.groupID     = BLADE_ITEM_TYPE;
  itm.name        = "itmname_bladeX4";
  itm.describe    = "itmdescr_bladeX4";
  itm.folder      = "ammo";
  itm.model       = "invisible";  // Completely empty model; had to be added to enable you to 'draw' your fists
  itm.picIndex    = 11;     // Picture made by Petros
  itm.picTexture  = "ITEMS_ccc";
  itm.price       = 1;
  itm.minlevel    = 1;
  itm.rare        = 1.0; // NK 05-04-06 for itemtrading to have nonzero rare.
  itm.dmg_min     = 0;
  itm.dmg_max     = 0;
  itm.piercing    = 0; // Baste: was 100
  itm.block       = 0;
  n++;

  // Cobblestone
  makeref(itm,Items[n]);
  itm.id          = "pistolrock";
  itm.sound       = "OBJECTS\duel\sword_inbody.wav";  // soundfile played when used
  itm.throw       = 1;  // new attribute, weapon that you throw, so only one time use
  itm.stun        = 0.75;  // stuns targets
  itm.stealth     = 0.75; // doesn't alarm victim
  itm.skiptrade   = true; // you can't trade the item (who'd buy a simple stone...?)
  itm.skiprand    = false;
  itm.skipequip   = NO_SPECIALWEAPONED_NPC;
  itm.groupID     = GUN_ITEM_TYPE;
  itm.name        = "itmname_pistolrock";
  itm.describe    = "itmdescr_pistolrock";
  itm.folder      = "ammo";
  itm.model       = "Sapphire";
  itm.picIndex    = 3;
  itm.picTexture  = "ITEMS_ccc";
  itm.price       = 5;
  itm.chargeQ     = 1;
  itm.chargespeed = 0.5;
  itm.dmg_min     = 5.0;
  itm.dmg_max     = 10.0;
  itm.accuracy    = 80;
  itm.rare        = 0.2; // BB (0.5)
  itm.secondary   = true;
  n++;

  // Etherbottle
  makeref(itm,Items[n]);
  itm.id                      = "pistolgas";
  itm.multidmg                = 1; // new attribute, does multiple damage
  itm.selfdmg                 = 1;  // hurts user if used too close
  itm.sound                   = "OBJECTS\SHIPCHARGE\ship_bow.wav";  // soundfile played when used
  itm.always.fx.qty           = 2;
  itm.always.fx.effect0       = "cancloud"; // graphic effect, choose particlename from resource\ini\particles\
  itm.always.fx.effect0.time  = 20;  // duration of this effect
  itm.always.fx.effect1       = "artifact"; // second graphic effect
  itm.always.fx.effect1.time  = 5; // duration of this effect
  itm.throw                   = 1;  // new attribute, weapon that you throw, so only one time use
  itm.stun                    = 0.75;  // stuns targets
  itm.skiptrade               = false;  // you can sell the item
  itm.skipsell                = false;  // you can buy them //BB (true)
  itm.skiprand                = false;
  itm.skipequip               = NO_SPECIALWEAPONED_NPC ;
  itm.groupID                 = GUN_ITEM_TYPE;
  itm.name                    = "itmname_pistolgas";
  itm.describe                = "itmdescr_pistolgas";
  itm.folder                  = "ammo";
  itm.model                   = "adrenaline"; // copy "adrenaline" model and texture into "ammo" folder !
  itm.picIndex                = 10;    // New picture by Petros to
  itm.picTexture              = "ITEMS_ccc"; // distinguish with the bottle 'o rum
  itm.price                   = 55; // BB (800)
  itm.chargeQ                 = 1;
  itm.chargespeed             = 0.5;
  itm.dmg_min                 = 1.0;
  itm.dmg_max                 = 2.0;
  itm.accuracy                = 79;  // BB (99)
  itm.rare                    = 0.05; // Sulan (0.3)
  itm.minlevel                = 4;    //Sulan added minlevel to improve rarity.
  itm.secondary               = true;
  n++;

  // Stinkpot
  makeref(itm,Items[n]);
  itm.id                      = "pistolstink";
  itm.multidmg                = 1; // new attribute, does multiple damage
  itm.selfdmg                 = 1;  // hurts user if used too close
  itm.sound                   = "OBJECTS\SHIPCHARGE\ship_onfire.wav"; // soundfile played when used
  itm.always.fx.qty           = 2;
  itm.always.fx.effect0       = "ship_smoke"; // graphic effect
  itm.always.fx.effect0.time  = 5; // duration of this effect
  itm.always.fx.effect1       = "fort_fire";  // graphic effect2
  itm.always.fx.effect1.time  = 20;  // duration
  itm.throw                   = 1;  // new attribute, weapon that you throw, so only one time use
  itm.poison                  = 1; // poisons targets  
  itm.skiptrade               = false;  // you can sell the item
  itm.skipsell                = false;  // you can buy them // BB (true)
  itm.skiprand                = false;
  itm.skipequip               = NO_SPECIALWEAPONED_NPC ;  
  itm.groupID                 = GUN_ITEM_TYPE;
  itm.name                    = "itmname_pistolstink";
  itm.describe                = "itmdescr_pistolstink";
  itm.folder                  = "ammo";
  itm.model                   = "potionBig";
  itm.picIndex                = 8;
  itm.picTexture              = "ITEMS_ccc";
  itm.price                   = 28; // BB (800)
  itm.chargeQ                 = 1;
  itm.chargespeed             = 0.5;
  itm.dmg_min                 = 15.0;
  itm.dmg_max                 = 30.0;
  itm.accuracy                = 79;  // BB (99)
  itm.rare                    = 0.05; // Sulan (0.3)
  itm.minlevel                = 3;     //Sulan added minlevel to improve rarity.
  itm.secondary               = true;
  n++;

  // Grenade
  makeref(itm,Items[n]);
  itm.id                      = "pistolgrenade";
  itm.multidmg                = 1; // new attribute, does multiple damage
  itm.selfdmg                 = 1;  // hurts user if used too close
  itm.misfire                 = 5;  // chance in % that weapon hurts user only
  itm.sound                   =  "OBJECTS\SHIPCHARGE\cannon_fire3.wav"; // soundfile played when used
  itm.always.fx.qty           = 2;
  itm.always.fx.effect0       = "blast";  // graphic effect, choose particlename from resource\ini\particles\
  itm.always.fx.effect0.time  = 5; // duration of this effect
  itm.always.fx.effect1       = "fort_fire";  // second graphic effect
  itm.always.fx.effect1.time  = 20;  // duration of this effect
  itm.throw                   = 1;  // new attribute, weapon that you throw, so only one time use
  itm.skiptrade               = false;  // you can sell the item
  itm.skipsell                = false; // PB: make them buyable
  itm.skiprand                = false;
  itm.skipequip               = NO_SPECIALWEAPONED_NPC ;
  itm.groupID                 = GUN_ITEM_TYPE;
  itm.name                    = "itmname_pistolgrenade";
  itm.describe                = "itmdescr_pistolgrenade";
  itm.folder                  = "ammo";
  itm.model                   = "grenado";
  itm.picIndex                = 1;
  itm.picTexture              = "ITEMS_ccc";
  itm.price                   = 50;     // Sulan (10)
  itm.chargeQ                 = 1;
  itm.chargespeed             = 0.5;   // for instant use after equip
  itm.dmg_min                 = 60.0;  // BB (100.0)
  itm.dmg_max                 = 120.0; // BB (120.0)
  itm.accuracy                = 79;    // BB (99)
  itm.minlevel                = 5;     // Sulan added minlevel to improve rarity.
  itm.rare                    = 0.35;  // appearance in chests
  itm.secondary               = true;
  n++;

  // Poisoned Throwingknife
  makeref(itm,Items[n]);
  itm.id                      = "pistolpdart";
  itm.sound                   = "OBJECTS\duel\sword_wind.wav";  // soundfile played when used
  itm.throw                   = 1;  // new attribute, weapon that you throw, so only one time use
  itm.poison                  = 1; // poisons targets
  itm.stealth                 = 0.75; // doesn't alarm victim
  itm.skiptrade               = false;  // you can sell the item
  itm.skipsell                = true;  // you can't buy them
  itm.skiprand                = false;
  itm.skipequip               = NO_SPECIALWEAPONED_NPC ;
  itm.groupID                 = GUN_ITEM_TYPE;
  itm.name                    = "itmname_pistolpdart";
  itm.describe                = "itmdescr_pistolpdart";
  itm.folder                  = "ammo";
  itm.model                   = "blade5";
  itm.picIndex                = 6;
  itm.picTexture              = "ITEMS_ccc";
  itm.price                   = 45;    // BB (800)
  itm.chargeQ                 = 1;
  itm.chargespeed             = 0.5;
  itm.dmg_min                 = 5.0;
  itm.dmg_max                 = 10.0;
  itm.accuracy                = 80;
  itm.rare                    = 0.35;  // Sulan (0.6)
  itm.secondary               = true;
  n++;

  // Blunderbuss
  makeref(itm,Items[n]);
  itm.id                      = "pistolbbuss";
  itm.multidmg                = 1; // new attribute, does multiple damage  
  itm.sound                   = "OBJECTS\DUEL\pistol_bbus.wav";//JRH
  itm.shottype                = "pg2"; //JRH
  itm.skiptrade               = false;  // you can sell the item
  itm.skipsell                = false; // PB: make them buyable
  itm.skiprand                = false;
  itm.skipequip               = false; // LDH
  itm.groupID                 = GUN_ITEM_TYPE;
  itm.name                    = "itmname_pistolbbuss";
  itm.describe                = "itmdescr_pistolbbuss";
  itm.folder                  = "ammo";
  itm.model                   = "blunder1_10";
  itm.picIndex                = 7;
  itm.picTexture              = "ITEMS_ccc";
  itm.price                   = 160; // BB (1600)
  itm.chargeQ                 = 1;
  itm.chargespeed             = 30;  // BB (40)
  itm.dmg_min                 = 50.0;
  itm.dmg_max                 = 80.0;
  itm.accuracy                = 60;
  itm.rare                    = 0.08;
  itm.minlevel                = 8;     //Sulan: added minlevel to improve rarity.
  n++;

  // Jack Sparrow pistol
  makeref(itm,Items[n]);
  itm.id                      = "pistol3_14";
  itm.sound                   = "OBJECTS\DUEL\pistol_shot4.wav";//JRH
  itm.shottype                = "pb"; //JRH
  itm.skiptrade               = false;
  itm.skipsell                = true;
  itm.skiprand                = true;
  itm.skipequip               = false;
  itm.groupID                 = GUN_ITEM_TYPE;
  itm.name                    = "itmname_pistol3_14";
  itm.describe                = "itmdescr_pistol3_14";
  itm.folder                  = "ammo";
  itm.model                   = "pistol3_14";
  itm.picIndex                = 6;
  itm.picTexture              = "ITEMS_21";
  itm.price                   = 1587;   // BB (1700)
  itm.chargeQ                 = 1;
  itm.chargespeed             = 20;
  itm.dmg_min                 = 50.0;
  itm.dmg_max                 = 90.0;
  itm.minlevel                = 10;     //BB added minlevel to improve rarity.
  itm.accuracy                = 85;
  itm.rare                    = 0.00;   // will not appear in shops / chests ever
  n++;

  // Mercenary pistol
  makeref(itm,Items[n]);
  itm.id                      = "pistol4_1";
  itm.sound                   = "OBJECTS\DUEL\pistol_big.wav";
  itm.shottype                = "pb"; //JRH
  itm.skiptrade               = false;
  itm.skipsell                = false;    //BB you can buy them
  itm.skiprand                = true;
  itm.skipequip               = false;
  itm.groupID                 = GUN_ITEM_TYPE;
  itm.name                    = "itmname_pistol4_1";
  itm.describe                = "itmdescr_pistol4_1";
  itm.folder                  = "ammo";
  itm.model                   = "pistol4_1";
  itm.picIndex                = 15;
  itm.picTexture              = "ITEMS_ccc";
  itm.price                   = 1479;    // BB (20000)
  itm.chargeQ                 = 4;
  itm.chargespeed             = 30;
  itm.dmg_min                 = 50.0;
  itm.dmg_max                 = 70.0;
  itm.minlevel                = 15;     //BB added minlevel to improve rarity
  itm.accuracy                = 55;
  itm.rare                    = 0.05;   //BB was 0.00(and quite common in game on Officers)
  n++;

  // Sandbag
  makeref(itm,Items[n]);
  itm.id                      = "bladeX2";
  itm.sound                   = "OBJECTS\duel\sword_inbody.wav";  // soundfile played when used
  itm.always.fx.qty           = 1;
  itm.always.fx.effect0       = "stars";  // graphic effect, choose particlename from resource\ini\particles\
  itm.always.fx.effect0.time  = 20;  // duration of this effect
  itm.stun                    = 0.75;  // stuns targets
  itm.stealth                 = 0.75; // doesn't alarm victim
  itm.skiptrade               = false;  // you can sell the item
  itm.skipsell                = true;  // you can't buy them
  itm.skiprand                = false;
  itm.skipequip               = NO_SPECIALWEAPONED_NPC ;
  itm.groupID                 = BLADE_ITEM_TYPE;
  itm.name                    = "itmname_bladeX2";
  itm.describe                = "itmdescr_bladeX2";
  itm.folder                  = "ammo";
  itm.model                   = "Sandbag";
  itm.picIndex                = 2;
  itm.picTexture              = "ITEMS_ccc";
  itm.price                   = 3;  // BB (50)
  itm.dmg_min                 = 5.0;
  itm.dmg_max                 = 7.0;
  itm.piercing                = 0;
  itm.minlevel                = 1;
  itm.rare                    = 0.2; // Sulan (0.4)
  itm.block                   = 3;
  itm.secondary               = true;
  n++;

  // Thief's knife
  makeref(itm,Items[n]);
  itm.id                      = "bladeX3";
  itm.sound                   = "OBJECTS\shipcharge\sail_damage1.wav";  // soundfile played when used
  itm.steal                   = 0.75; // gives you the target's money and weapons
  itm.skiptrade               = false;  // you can sell the item
  itm.skipsell                = true;  // you can't buy them
  itm.skiprand                = false;
  itm.skipequip               = NO_SPECIALWEAPONED_NPC ;
  itm.groupID                 = BLADE_ITEM_TYPE;
  itm.name                    = "itmname_bladeX3";
  itm.describe                = "itmdescr_bladeX3";
  itm.folder                  = "ammo";
  itm.model                   = "blade5";
  itm.picIndex                = 4;
  itm.picTexture              = "ITEMS_ccc";
  itm.price                   = 25;  //BB (25)
  itm.dmg_min                 = 1.0;
  itm.dmg_max                 = 1.0;
  itm.piercing                = 25;
  itm.minlevel                = 1;
  itm.rare                    = 0.05;  //Sulan (0.1)
  itm.block                   = 0;
  itm.param.time              = 0.1;
  itm.param.colorstart        = argb(64, 64, 64, 64);
  itm.param.colorend          = argb(0, 32, 32, 32);
  itm.secondary               = true;
  n++;

  // Borgiablade
  makeref(itm,Items[n]);
  itm.id                      = "bladeX1";
  itm.poison                  = 1; // poisons targets
  itm.skiptrade               = false;  // you can sell the item
  itm.skipsell                = true;  // you can't buy them
  itm.skiprand                = false;
  itm.skipequip               = NO_SPECIALWEAPONED_NPC ;
  itm.groupID                 = BLADE_ITEM_TYPE;
  itm.name                    = "itmname_bladeX1";
  itm.describe                = "itmdescr_bladeX1";
  itm.folder                  = "ammo";
  itm.model                   = "blade2";
  itm.picIndex                = 9;
  itm.picTexture              = "ITEMS_ccc";
  itm.price                   = 65;      // BB (500)
  itm.dmg_min                 = 11.0;    //BB (10.0)
  itm.dmg_max                 = 15.0;    //BB (12.0)
  itm.piercing                = 20;      //BB (15)
  itm.minlevel                = 1;
  itm.rare                    = 0.3;     // Sulan (0.5)
  itm.minlevel                = 3;     //Sulan added minlevel to improve rarity.
  itm.block                   = 10;
  itm.param.time              = 0.1;
  itm.param.colorstart        = argb(64, 64, 64, 64);
  itm.param.colorend          = argb(0, 32, 32, 32);
  n++;

  // Francis Drake's Sword (SLiB KevAtl) - renamed from blade28 plus new model and texture 09-10-2007
  makeref(itm,Items[n]);
  itm.id                      = "bladeFD";
  itm.skiptrade               = false;  //BB you can sell the item
  itm.skipsell                = true;  // you can't buy it 
  itm.skiprand                = true;  // you can't randomly find it  
  itm.groupID                 = BLADE_ITEM_TYPE;
  itm.name                    = "itmname_bladeFD";
  itm.describe                = "itmdescr_bladeFD";
  itm.folder                  = "ammo";
  itm.model                   = "bladeFD";
  itm.picIndex                = 12;
  itm.picTexture              = "ITEMS_ccc";
  itm.price                   = 4112;   // Sulan (25000)
  itm.dmg_min                 = 28.0;   //BB (22.0) Stats based on English Officers Sabre(just better)
  itm.dmg_max                 = 43.0;   //BB (38.0)
  itm.piercing                = 80;     //Sulan (70)
  itm.block                   = 65;     //Sulan (70)
  itm.minlevel                = 10;     //BB (15) is this needed if a quest item only?
  itm.rare                    = 0.00;   // should be unique
  itm.param.time              = 0.1;
  itm.skill.fencing           = +1;
  itm.param.colorstart        = argb(64, 64, 64, 64);
  itm.param.colorend          = argb(0, 32, 32, 32);
  n++;

  // Sword of Corts (SLiB KevAtl)
  makeref(itm,Items[n]);
  itm.id                      = "bladeSC";
  itm.skiptrade               = false;  //BB you can sell the item
  itm.skipsell                = true;  // you can't buy it
  itm.skiprand                = true;  // you can't randomly find it  
  itm.groupID                 = BLADE_ITEM_TYPE;
  itm.name                    = "itmname_bladeSC";
  itm.describe                = "itmdescr_bladeSC";
  itm.folder                  = "ammo";
  itm.model                   = "bladeSC";
  itm.picIndex                = 13;
  itm.picTexture              = "ITEMS_ccc";
  itm.price                   = 4932;  // Sulan (25000)
  itm.dmg_min                 = 25.0;
  itm.dmg_max                 = 40.0;
  itm.piercing                = 65;     // BB (90)
  itm.block                   = 85;
  itm.minlevel                = 10;    //BB (15) is this needed if a quest item only?
  itm.rare                    = 0.00;  // should be unique
  itm.param.time              = 0.1;
  itm.skill.sneak             = -1;
  itm.skill.fencing           = +1;
  itm.param.colorstart        = argb(64, 64, 64, 64);
  itm.param.colorend          = argb(0, 32, 32, 32);
  n++;

  // Sword of Bartolomeu (Russian Team)
  makeref(itm,Items[n]);
  itm.id                      = "bladeBP";
  itm.skiptrade               = false;  //BB you can sell the item
  itm.skipsell                = true;  // you can't buy it 
  itm.skiprand                = true;  // you can't randomly find it
  itm.groupID                 = BLADE_ITEM_TYPE;
  itm.name                    = "itmname_bladeBP";
  itm.describe                = "itmdescr_bladeBP";
  itm.folder                  = "ammo";
  itm.model                   = "bladeBP";
  itm.picIndex                = 14;
  itm.picTexture              = "ITEMS_ccc";
  itm.price                   = 5498;   //Sulan (25000)
  itm.dmg_min                 = 29.0;   //BB (20.0)
  itm.dmg_max                 = 46.0;   //BB (36.0)
  itm.piercing                = 75;
  itm.block                   = 80; 
  itm.minlevel                = 10;     //BB added minlevel to improve rarity
  itm.rare                    = 0.00;   // should be unique
  itm.param.time              = 0.1;
  itm.skill.fencing           = +1;
  itm.param.colorstart        = argb(64, 64, 64, 64);
  itm.param.colorend          = argb(0, 32, 32, 32);
  n++;
  // ccc special weapon assembly kit <--

  //-------------------------------------------------------------------------------------------------------------------------------------------
  // AXES Models and textures from SLiB Mod. Jack Davidson
  //-------------------------------------------------------------------------------------------------------------------------------------------
  // AXES:       ItemIndex                       picIndex         Price          Piercing   Nation (-1 for general)
  //               |bladeID   modelID               | rare          |  minDamage     |Blocking|    DisableWeaponsMod
  //               |  |          | picTexture       |  |   MinLevel |   | maxDamage  |   |    | Disarm |
  //---------------|--|----------|----------|-------|--|------|-----|---|-----|------|---|----|--|-----|----------------------------------------
  n = InitBlade(n,"bladeaxe3","axe3", "JD",         8, 0.90,  0,    7,  5.0, 18.0, 20,  0,  "", 1,     1); // Hatchet
  n = InitBlade(n,"bladeaxe1","axe1", "JD",         6, 0.37,  0,   11,  8.0, 26.0, 40,  0,  "", 1,     1); // Axe
  n = InitBlade(n,"bladeaxe2","axe2", "JD",         7, 0.25,  3,   19, 10.0, 30.0, 50,  5,  "", 1,     1); // Boarding Axe
  n = InitBlade(n,"topor1",  "topor1", "24",        2, 0.05,  9,  223, 26.0, 40.0, 60, 10,  "", 1,     1); // Engraved Felling Axe //BB
  n = InitBlade(n,"topor2",  "topor2", "24",        3, 0.01, 15,  507, 28.0, 45.0, 70, 13,  "", 1,     1); // Single Half-Moon Battle Axe //BB 
  n = InitBlade(n,"bladelead","bladelead","JD",    16, 0.25,  0,    4,  4.0, 10.0,  0,  0,  "", 1,     1); // Bronze Knuckles // SLiB special weapons added by KevAtl 09-03-2007
  n = InitBlade(n,"bladeclub","bladeclub","JD",    13, 0.20,  0,    6,  5.0, 20.0, 50,  5,  "", 1,     1); // Banger Club // SLiB special weapons added by KevAtl 09-03-2007  
  //-------------------------------------------------------------------------------------------------------------------------------------------

  //-------------------------------------------------------------------------------------------------------------------------------------------
  // BLADES:                                               picIndex          Price          Piercing   Nation 
  //        ItemIndex  bladeID   modelID                      |  rare           | minDamage     |Blocking|          DisableWeaponsMod
  //            |         |          |             picTexture |    |   MinLevel |    | maxDamage|   |    |      Disarm    |
  //------------|---------|----------|-------------------|----|----|------|-----|----|-----|----|---|----|---------|------|---------------------
  n = InitBlade(n,"Barmansknife","Barmansknife",        22,   7,  0.90,   1,    2,  3.0,  9.0, 20,  3,  "",        0,     0); // Breadknife (SuperDurnius)//BB USE AS BASE VALUE FOR ECONOMY (CHEAPEST)      
  n = InitBlade(n, "blade5",  "blade5",                  6,   9,  0.90,   1,    7,  6.0, 15.0, 30,  4,  "",        0,     0); // Dagger //BB                                                                 
  n = InitBlade(n,"Merchantsdagger","Merchantsdagger",  22,   8,  0.90,   1,    5,  5.0, 12.0, 20,  7,  "",        0,     0); // Merchants Dagger (SuperDurnius)//BB(defensive)                              
  n = InitBlade(n,"MerchantsBlade","MerchantsBlade",    22,   9,  0.90,   1,   10, 10.0, 15.0, 13, 14,  "",        0,     0); // Merchants Blade (SuperDurnius)//BB(defensive)                               
  n = InitBlade(n,"Guestsknife","Guestsknife",          22,   6,  0.90,   1,    3,  3.0, 11.0, 25,  4,  "",        0,     0); // Knife (SuperDurnius)//BB                                                    
  n = InitBlade(n, "blade3",  "blade3",                  6,   8,  0.90,   1,   17, 14.0, 18.0, 15, 10,  "",        1,     0); // Badelaire//BB                                                               
  n = InitBlade(n, "blade4",  "blade4",                  6,   7,  0.90,   1,   18, 14.0, 19.0, 15,  8,  "",        1,     0); // Cutlass//BB (BASE SWORD WEAPON)                                             
  n = InitBlade(n,"Minersaxe","worker_Axe",             22,   2,  0.90,   1,   15, 10.0, 19.0, 30,  6,  "",        0,     0); // Woodmen's Axe (SuperDurnius)//BB                                            
  n = InitBlade(n,"Minerscrow","worker_Crow",           22,   1,  0.80,   1,    2,  3.0, 13.0,  5, 10,  "",        0,     0); // Shovel (SuperDurnius)//BB                                                   
  n = InitBlade(n,"Minerspick","worker_Pick",           22,   4,  0.80,   1,    5,  8.0, 13.0, 15, 10,  "",        0,     0); // Pickaxe (SuperDurnius)//BB                                                  
  n = InitBlade(n,"Minersspade","worker_Spade",         22,   3,  0.80,   1,    3,  3.0, 13.0,  5, 15,  "",        0,     0); // Spade (SuperDurnius)//BB                                                    
  n = InitBlade(n,"Piratesdagger","piratesdagger",      22,   5,  0.80,   1,   11, 10.0, 15.0, 34,  9,  "",        0,     0); // Stiletto (SuperDurnius)//BB                                                 
  n = InitBlade(n, "blade1",  "blade1",                  6,  11,  0.90,   1,   25, 15.0, 19.0, 14, 12,  "",        0,     0); // Sabre//BB                                                                   
  n = InitBlade(n, "blade2",  "blade2",                  6,  10,  0.90,   1,   17, 12.0, 17.0, 20, 10,  "",        0,     0); // Rapier//BB                                                                  
  n = InitBlade(n, "blade6",  "blade6",                  6,  12,  0.50,   4,   21, 12.0, 19.0, 19, 19,  "",        1,     0); // Schiavona (pirate?)//BB                                                     
  n = InitBlade(n, "blade7",  "blade7",                  6,  13,  0.50,   2,   18, 12.0, 18.0, 18,  5,  "",        1,     0); // Yataghan//BB                                                                
  n = InitBlade(n, "blade22", "blade22",                 3,  15,  0.10,   8,   87, 15.0, 26.0, 30, 25,  "",        2,     0); // Corsair's Pride//BB                                                         
  n = InitBlade(n, "blade13", "blade13",                 3,   6,  0.10,   5,   34, 16.0, 18.0, 35, 15,  "",        1,     0); // Dueling Rapier//BB                                                          
  n = InitBlade(n, "blade8",  "blade8",                  3,   1,  0.10,   6,   59, 18.0, 23.0, 20, 26,  "",        1,     0); // Maltese Knight Sword//BB                                                    
  n = InitBlade(n,"bladeC6", "bladeC6",                 21,   9,  0.50,   6,   25, 13.0, 19.0, 35, 19,  "",        1,     0); // Smallsword (CoAS Metazot)//BB                                               
  n = InitBlade(n,"bladeC10","bladeC10",                 3,  14,  0.50,   5,   61, 15.0, 25.0, 27, 18,  "",        2,     0); // Falchion (CoAS Metazot)//BB                                                 
  n = InitBlade(n, "blade12", "blade12",                 3,   5,  0.20,   6,   59, 17.0, 21.0, 30, 28,  "",        1,     0); // Arabic Scimitar//BB                                                         
  n = InitBlade(n, "blade11", "blade11",                 3,   4,  0.30,   4,   63, 18.0, 22.0, 25, 19,  "",        3,     0); // Highlander//BB                                                              
  n = InitBlade(n, "blade15", "blade15",                 3,   8,  0.15,   5,   64, 19.0, 21.0, 21, 23,  "",        1,     0); // Iberian Longsword//BB                                                       
  n = InitBlade(n, "blade10", "blade10",                 3,   3,  0.40,   5,  161, 21.0, 26.0, 28, 13,  "",        1,     0); // Piranha//BB                                                                 
  n = InitBlade(n, "blade14", "blade14",                 3,   7,  0.05,   9,  264, 18.0, 28.0, 33, 40,  SPAIN,     5,     0); // Spanish Nobility Longsword//BB                                              
  n = InitBlade(n, "blade18", "blade18",                 3,  11,  0.00,   8,  132, 19.0, 24.0, 29, 33,  PIRATE,    2,     0); // Sabre of Nicholas Sharp//BB                                                 
  n = InitBlade(n, "blade16", "blade16",                 3,   9,  0.15,  10,  291, 21.0, 29.0, 35, 25,  "",        1,     0); // Tizona//BB                                                                  
  n = InitBlade(n, "blade21", "blade21",                 3,  14,  0.45,   7,  334, 24.0, 29.0, 29, 19,  "",        1,     0); // Falchion//BB                                                                
  n = InitBlade(n,"bladeC33","bladeC33",                21,   9,  0.20,   8,   82, 14.0, 25.0, 31, 32,  "",        4,     0); // Germanic Baskethilt Sword (CoAS Metazot)//BB                                
  n = InitBlade(n, "blade19", "blade19",                 3,  12,  0.15,   7,  104, 15.0, 26.0, 38, 20,  "",        1,     0); // German Rapier//BB                                                           
  n = InitBlade(n,"bladeC11","bladeC11",                21,  14,  0.20,   8,   49, 12.0, 21.0, 30, 32,  "",        5,     0); // Milanese longsword(CoAS Metazot)//BB model is very long(so now a longsword) 
  n = InitBlade(n, "blade23", "blade23",                 3,  16,  0.10,  11,  348, 20.0, 30.0, 40, 30,  HOLLAND,   2,     0); // Dutch Admiralty Sword//BB                                                   
  n = InitBlade(n, "blade20", "blade20",                 3,  13,  0.15,   9,  310, 22.0, 27.0, 30, 30,  "",        1,     0); // Asiatic Broadsword//BB                                                      
  n = InitBlade(n, "blade17", "blade17",                 3,  10,  0.10,   9,  100, 15.0, 25.0, 35, 19,  "",        1,     0); // Flamigera//BB                                                               
  n = InitBlade(n, "blade28", "blade28",                 9,  15,  0.15,   9,  490, 20.0, 35.0, 30, 15,  "",        1,     0); // Shamshir (SLiB KevAtl)//BB                                                  
  n = InitBlade(n, "blade31", "blade31",                 9,  12,  0.15,  10,  560, 20.0, 40.0, 42, 10,  "",        2,     0); // Snake Head (SLiB KevAtl)//BB                                                
  n = InitBlade(n,"bladeC12","bladeC12",                21,  13,  0.20,  10,  283, 14.0, 35.0, 37, 19,  "",        6,     0); // Katzbalger (CoAS Metazot)//BB                                               
  n = InitBlade(n,"bladeC26","bladeC26",                21,  10,  0.15,  11,  316, 19.0, 31.0, 40, 25,  "",        2,     0); // Pappenheimer Rapier (CoAS Metazot)//BB                                      
  n = InitBlade(n, "blade30", "blade30",                 9,  13,  0.20,  11,  327, 20.0, 29.0, 40, 27,  "",        1,     0); // Dueling Sabre (SLiB KevAtl)//BB                                             
  n = InitBlade(n,"bladeC18","bladeC18",                21,  12,  0.20,  10,  790, 25.0, 39.0, 39, 20,  "",        5,     0); // Shellcup Falchion (CoAS Metazot)//BB                                        
  n = InitBlade(n, "blade9",  "blade9",                  3,   2,  0.10,  11,  494, 22.0, 33.0, 45, 35,  FRANCE,    5,     0); // French Admiralty Rapier//BB                                                 
  n = InitBlade(n, "blade25", "blade25",                 6,  15,  0.05,  17,  510, 20.0, 35.0, 35, 44,  FRANCE,    5,     0); // French Nobility Sword//BB                                                   
  n = InitBlade(n, "blade29", "blade29",                 9,  14,  0.12,  10,  373, 20.0, 30.0, 36, 34,  PORTUGAL,  1,     0); // Portuguese Officer's Sword//BB                                              
  n = InitBlade(n,"bladeC2", "bladeC2",                 21,  11,  0.20,  12,  322, 21.0, 27.0, 40, 30,  "",        6,     0); // Back-bladed Sidesword (CoAS Metazot)//BB                                    
  n = InitBlade(n,"bladeC30","bladeC30",                21,   9,  0.25,  13,  351, 19.0, 29.0, 46, 29,  "",        4,     0); // Swept Hilt Rapier  (CoAS Metazot)//BB                                       
  n = InitBlade(n, "blade26", "blade26",                 9,  16,  0.15,  16,  506, 23.0, 35.0, 50, 35,  "",        6,     0); // Solingen Rapier (Petros)//BB                                                
  n = InitBlade(n, "blade24", "blade24",                 6,  14,  0.12,  12,  562, 22.0, 37.0, 40, 35,  ENGLAND,   5,     0); // English Officer's Sabre//BB                                                 
  n = InitBlade(n, "blade34", "blade34",                 9,   9,  0.02,  18, 1240, 30.0, 40.0, 50, 20,  "",        5,     0); // Dragon's Head (SLiB KevAtl)//BB (rare+powerfull)                            
  n = InitBlade(n, "blade32", "blade32",                 9,  11,  0.02,  20, 1890, 25.0, 49.0, 49, 25,  "",        2,     0); // Damascus Shamshir (SLiB KevAtl)//BB (rare+powerfull)                        
  n = InitBlade(n, "blade33", "blade33",                 9,  10,  0.02,  15,  880, 25.0, 39.0, 45, 28,  "",        2,     0); // Moorish Sabre (SLiB KevAtl)//BB  (rare)                                     
  n = InitBlade(n, "blade27", "blade27",                 6,  16,  0.25,  12,  427, 20.0, 35.0, 35, 29,  PIRATE,    5,     0); // Bosun's Choice//BB (common as name denotes)                                 
  n = InitBlade(n, "blade35", "blade35",                23,   1,  0.01,  19, 1400, 22.0, 49.0, 35, 40,  "",        1,     0); // Knights Templer Sword//BB (rare+powerfull)                                  
  n = InitBlade(n, "blade36", "blade36",                23,   2,  0.25,   4,   26, 12.0, 20.0, 30, 12,  "",        2,     0); // Hunting Sword//BB                                                          
  n = InitBlade(n, "blade37", "blade37",                23,   3,  0.01,   9,  194,  9.0, 19.0, 41, 10,  "",        3,     0); // Gold and Jewel Encrusted Dagger//BB (rare+expensive+ceremonial)            
  n = InitBlade(n, "blade38", "blade38",                23,   4,  0.10,  13,   64, 13.0, 25.0, 39, 25,  "",        2,     0); // Kilij//BB                                                                  
  n = InitBlade(n, "blade39", "blade39",                23,   5,  0.10,  12,  132, 12.0, 19.0, 33, 12,  "",        3,     0); // Gold Handled Naval Dirk//BB (rare+expensive+ceremonial)                    
  n = InitBlade(n, "blade40", "blade40",                23,   6,  0.01,  24, 1009, 25.0, 39.0, 50, 40,  "",        2,     0); // Polish Hussar's Szabla//BB (rare+powerfull)                                
  n = InitBlade(n, "blade41", "blade41",                23,   7,  0.01,  28, 1600, 29.0, 43.0, 55, 35,  "",        3,     0); // Russian Cossack's Shashka//BB (rare+powerfull)                             
  n = InitBlade(n, "blade43", "blade43",                23,  10,  0.08,  19,  807, 24.0, 38.0, 45, 40,  "",        2,     0); // US Cavalry Sabre//BB (rare, slight upgrade on 'english officer sabre')     
  n = InitBlade(n, "blade44", "blade44",                23,   9,  0.15,  14,  381, 21.0, 32.0, 48, 30,  SPAIN,     2,     0); // Spanish Cup-Hilt Rapier//BB                                                
  n = InitBlade(n, "blade45", "blade45",                23,  11,  0.05,   9,  180, 14.0, 25.0, 26, 20,  "",        1,     0); // Crab Claw BroadSword//BB (rare+'fantasy' blade)                            
  n = InitBlade(n, "blade46", "blade46",                23,  12,  0.15,   3,   32, 12.0, 20.0, 19, 21,  "",        1,     0); // Longsword//BB should be renamed 'shortsword' model is very short!          
  n = InitBlade(n, "blade47", "blade47",                23,  13,  0.15,   9,   80, 14.0, 25.0, 26, 21,  "",        2,     0); // Light Tizona//BB (pre-cursor to the Tizona)                                
  n = InitBlade(n, "blade48", "blade48",                23,  14,  0.50,   3,   10,  8.0, 12.0, 30,  8,  "",        1,     0); // Wooden Handled Naval Dirk//BB                                              
  n = InitBlade(n, "blade49", "blade49",                23,  15,  0.35,   7,   21, 11.0, 19.0, 31, 10,  "",        2,     0); // Bronze Handled Naval Dirk//BB                                              
  n = InitBlade(n, "blade50", "blade50",                23,  16,  0.10,  14,  467, 18.0, 39.0, 49, 28,  "",        2,     0); // Venetian Navy Cutlass//BB                                                  
  n = InitBlade(n, "blade51", "blade51",                24,   1,  0.05,  16,  340, 20.0, 32.0, 33, 40,  FRANCE,    3,     0); // French Court Sword//BB (pre-cursor to French Nobility sword)               

  //-------------------------------------------------------------------------------------------------------------------------------------------
  // GUNS: ItemIndex                               picIndex         Price                 Charges
  //         | gunID        modelID                   |  rare          | minDamage   Accuracy|Reload time                                     DisableWeaponsMod
  //         |   |             |            picTexture|   |  MinLevel  |     | maxDamage  |  |   | Nation           Sound              Ammo type    |
  //-------------|-------------|------------------|---|---|------|-----|-----|-----|------|--|---|--|------------------|-------------------|--------|----
  n = InitGun(n,"pistol1", "pistol1",             6,  1, 0.50,   1,    50, 25.0, 45.0,   30, 1,  8, "", "OBJECTS\DUEL\pistol_big.wav",    "pb",     0);  // Short Pistol//BB BASE FOR PISTOLS
  n = InitGun(n,"PiratesPistol","PiratesPistol", 22, 10, 0.20,   4,    84, 40.0, 55.0,   48, 1, 10, "", "OBJECTS\DUEL\pistol_medium.wav", "pb",     0);  // Pirates Pistol (SuperDurnius)
  n = InitGun(n,"pistol2", "pistol2",             6,  2, 0.50,   2,   108, 40.0, 50.0,   60, 1, 12, "", "OBJECTS\DUEL\pistol_medium.wav", "pb",     0);  // Long Pistol
  n = InitGun(n,"pistol7", "pistol7",             9,  1, 0.20,   6,   157, 25.0, 40.0,   30, 3, 25, "", "OBJECTS\DUEL\pistol_small.wav",  "pb",     0);  // Brace of Small Pistols (Alan Smithee)
  n = InitGun(n,"pistol3", "pistol3",             6,  3, 0.37,   7,   102, 50.0, 70.0,   20, 1, 20, "", "OBJECTS\DUEL\pistol_grape.wav",  "pg",     0);  // Grapeshot Pistol
  n = InitGun(n,"pistol5", "pistol5",             6,  5, 0.10,   8,   253, 40.0, 60.0,   52, 1, 14, "", "OBJECTS\DUEL\pistol_big.wav",    "pb",     0);  // Scrapper Pistol
  n = InitGun(n,"pistol6", "pistol6",             6,  6, 0.05,  12,   310, 40.0, 60.0,   50, 2, 20, "", "OBJECTS\DUEL\pistol_medium.wav", "pb",     0);  // Double-Shot Pistol
  n = InitGun(n,"pistol8", "pistol8",             9,  3, 0.15,  14,   326, 40.0, 50.0,   55, 3, 30, "", "OBJECTS\DUEL\pistol_medium.wav", "pb",     0);  // Brace of Mid-size Pistols (Alan Smithee)
  n = InitGun(n,"pistol4", "pistol4",             6,  4, 0.05,  20,   420, 40.0, 60.0,   47, 4, 35, "", "OBJECTS\DUEL\pistol_small.wav",  "pb",     0);  // Quad-Shot Pistol
  n = InitGun(n,"pistol9", "pistol9",             9,  2, 0.10,  17,   386, 50.0, 60.0,   50, 2, 25, "", "OBJECTS\DUEL\pistol_big.wav",    "pb",     0);  // Brace of Large Pistols (Alan Smithee)
  n = InitGun(n,"pistolmtoon", "musketoon",       8,  9, 0.08,  12,   168, 60.0, 80.0,   60, 1, 24, "", "OBJECTS\DUEL\pistol_mtoon.wav",  "pg2",    1); // Musketoon
  n = InitGun(n,"pistolmket",  "musket",          8, 10, 0.05,  14,   745,100.0,130.0,   80, 1, 30, "", "OBJECTS\DUEL\pistol_musket.wav", "mb",     1);  // Musket
  n = InitGun(n,"pistol10", "pistol10",        "JD",  5, 0.02,  14,  2112, 80.0,100.0,   70, 3, 15, "", "OBJECTS\DUEL\pistol_big.wav",    "pg",     1);  // Pump Shotgun SLiB  LDH fix sound error
  //---------------------------------------------------------------------------------------------------------------------------------------------


  if ( ENABLE_AMMOMOD == 1 )
  {
  // JRH ammo mod start -->
  //----------------------------------------------------------------------------------------------
  // AMMOMOD:                                                     Price    skiptrade
  //          ItemIndex                               picIndex      |      | skiprand
  //              |     itmID        groupID              | MinLevel|      | | skipequip
  //--------------|-------|-------------|-----------------|---|-----|------|-|-|-----------------------
  n = InitAmmoMod(n,"powderflask",  FLASK_ITEM_TYPE,      1,  3,   150,    0,0,0);// Sulan: Powder Flask
  n = InitAmmoMod(n,"ammopouch",    POUCH_ITEM_TYPE,      2,  3,    75,    0,0,0);// Ammo Pounch
  n = InitAmmoMod(n,"ammobag",      POUCH_ITEM_TYPE,      3, 10,   500,    0,0,0);// Ammo Bag
  n = InitAmmoMod(n,"gunpowder",    AMMUNITION_ITEM_TYPE, 4,  1,     8,    0,0,1);// Gun powder
  n = InitAmmoMod(n,"pistolbullets",AMMUNITION_ITEM_TYPE, 5,  1,     5,    0,0,1);// Pistol Bullets
  n = InitAmmoMod(n,"pistolgrapes", AMMUNITION_ITEM_TYPE, 6,  1,     8,    0,0,1);// Grape Shot
  n = InitAmmoMod(n,"musketbullets",AMMUNITION_ITEM_TYPE, 7,  3,     8,    0,0,1);// Musket Bullets
  n = InitAmmoMod(n,"powderbarrel", FLASK_ITEM_TYPE,      8, 10,  1500,    0,0,0); // Sulan: Powder Barrel
  //----------------------------------------------------------------------------------------------
  // JRH ammo mod end <--
  }

  //  scheffnow - tailorsmod -->
  //-----------------------------------------------------------------------------------------------
  // ARMOR:  ItemIndex        picIndex      bladefrac  minlevel
  //        |  armorID        | coverage  |  gunstop |
  //        |   |      picTexture   |   | bladestop | gunfrac
  //------------|---|---------------|---|---|---|---|---|---|--|-----------------------------------
  n = InitArmor(n, "Soldier_Hol",   7, 14, 50, 40, 50, 10, 70, 2); // Frac values are inverse.
  n = InitArmor(n, "Soldier_Hol2",  7, 14, 50, 40, 50, 15, 70, 3); // Lower is better!
  n = InitArmor(n, "Soldier_Hol3",  7, 14, 50, 40, 50, 15, 65, 5);
  n = InitArmor(n, "Soldier_Hol4",  7, 14, 50, 50, 50, 20, 60, 7);
  n = InitArmor(n, "Soldier_Hol5",  7, 14, 50, 50, 50, 20, 55, 9);
  n = InitArmor(n, "Soldier_Hol6",  7, 14, 50, 50, 50, 25, 55, 11);
  n = InitArmor(n, "Soldier_Por",   7, 14, 60, 35, 50, 15, 60, 2);
  n = InitArmor(n, "Soldier_Por2",  7, 14, 60, 35, 50, 20, 60, 4);
  n = InitArmor(n, "Soldier_Por3",  7, 14, 60, 35, 50, 20, 55, 6);
  n = InitArmor(n, "Soldier_Por4",  7, 14, 60, 45, 50, 25, 50, 8);
  n = InitArmor(n, "Soldier_Por5",  7, 14, 60, 45, 50, 25, 50, 10);
  n = InitArmor(n, "Soldier_Por6",  7, 14, 60, 45, 50, 30, 50, 12);
  n = InitArmor(n, "Soldier_Spa",   7, 14, 55, 40, 50, 15, 60, 2);
  n = InitArmor(n, "Soldier_Spa2",  7, 14, 55, 40, 50, 20, 60, 3);
  n = InitArmor(n, "Soldier_Spa3",  7, 14, 55, 40, 50, 20, 55, 5);
  n = InitArmor(n, "Soldier_Spa4",  7, 14, 55, 50, 50, 25, 50, 7);
  n = InitArmor(n, "Soldier_Spa5",  7, 14, 55, 50, 50, 25, 50, 9);
  n = InitArmor(n, "Soldier_Spa6",  7, 14, 55, 50, 50, 30, 50, 11);
  n = InitArmor(n, "Offic_hol",     7, 14, 70, 75, 40, 30, 40, 10);
  n = InitArmor(n, "Offic_por",     7, 14, 70, 70, 40, 35, 40, 10);
  n = InitArmor(n, "Offic_spa",     7, 14, 70, 65, 40, 40, 40, 10);
  n = InitArmor(n, "Lucas",         7, 14, 75, 80, 30, 45, 35, 12);
  //-----------------------------------------------------------------------------------------------

  //-----------------------------------------------------------------------------------------------
  // STANDARD ARMOR:                      picIndex         price      bladefrac      armor
  //                armorID                  | rare          | coverage  |  gunstop   |      quality
  //     ItemIndex     |          picTexture |   |  minlevel |   | bladestop | gunfrac|  cmodel|
  //---------------|---|---------------|-----|---|-----|-----|---|---|---|---|---|----|----|---|-----
  n = InitStdArmor(n, "cheaparmor",    7,   14, 0.30,  2,   837, 40, 20, 90, 15, 67, 15,  "1", 3); // Frac values are inverse.
  n = InitStdArmor(n, "commonarmor",   7,    6, 0.15,  6,  1380, 55, 40, 50, 25, 50, 30,  "2", 6); // Lower is better!
  n = InitStdArmor(n, "goldarmor",     7,    5, 0.03, 12,  5409, 70, 70, 40, 40, 40, 50,  "3", 9);
  //-----------------------------------------------------------------------------------------------
  //  scheffnow - tailorsmod <--


  //-----------------------------------------------------------------------------------------------------------------------------------------------------------------
  // SPYGLASSES: ItemIndex                                        Price  texture                activate    nation     cannons   crew               skiptrade
  //               |    itmID   model         icIndex  rare          |      |                      | update  | shipname  | hull    | speed     quality| skiprand
  //               |      |       |   picTexture  |     |   MinLevel |      |                zoom  |    |    | | shiptype| | sail  | | charge    |    | | skipequip
  //---------------|------|-------|-----------|---|-----|----|-------|------|------------------|---|----|----|-|-|-------|-|-|-----|-|-|---------|----|-|-|----------
  n = InitSpyglass(n,"spyglass1","",          8, 14,  0.30,  1,     60, "eye_BadTub.tga",    3.0, 500, 150,  1,1,1,      0,0,0,    0,0,0,        1,   0,0,0);// Cheap Spyglass
  n = InitSpyglass(n,"spyglass2","",          8, 15,  0.10,  1,    180, "eye_CommonTub.tga", 6.0, 500, 150,  1,1,1,      0,1,1,    0,1,0,        3,   0,0,0);// Average Spyglass//BB increased mag
  n = InitSpyglass(n,"spyglass3","",          8, 16,  0.05,  8,    750, "eye_GoodTub.tga",   8.0, 500, 150,  1,1,1,      1,1,1,    1,1,0,        7,   0,0,0);// Great Spyglass//BB increased mag
  n = InitSpyglass(n,"spyglass4","spyglass4", 1, 14,  0.01, 15,   2800, "eye_BestTub.tga",  10.0, 500, 150,  1,1,1,      1,1,1,    1,1,1,        9,   0,0,0);// Master Spyglass//BB increased mag
  //-----------------------------------------------------------------------------------------------------------------------------------------------------------------


  //-----------------------------------------------------------------------------------------------------------------------------------------------------------------
  // POTIONS: ItemIndex                         picIndex               numrandmod     antidote        skiptrade
  //             |     itmID  modelID               |  rare        Price  |   pic    |   health       | skiprand
  //             |      |        |      picTexture  |   |   MinLevel |    |    | tex |   |    quality | | skipequip
  //-------------|------|--------|--------------|---|---|------|-----|----|----|--|--|---|------|-----|-|-|----------------------------------------------------------
  n = InitPotion(n,"medical1",  "",             8,  7,  0.80,  0,    10, 2.5, 2, 2, 0,  30.0,  0,    0,0,0);// Bandage by Duncan
  n = InitPotion(n,"medical2",  "",             8,  6,  0.30,  0,    40, 1.5, 0, 2, 0,  90.0,  4,    0,0,0);// Cauterization Kit by Duncan
  n = InitPotion(n,"potion1",   "potion",       1,  7,  0.10,  3,    20, 2.5, 1, 1, 0,  40.0,  0,    0,0,0);// Small potion
  n = InitPotion(n,"potion2",   "potionbig",    1,  1,  0.05,  3,    70, 1.5, 0, 1, 0, 150.0,  4,    0,0,0);// Large potion
  n = InitPotion(n,"potion3",   "Antidote",     1,  5,  0.80,  0,    45, 1.0, 1, 2, 1,   0.0,  0,    0,0,0);// Antidote
  n = InitPotion(n,"potion4",   "balsam",       1,  4,  0.40,  3,   100, 1.0, 3, 1, 1,  60.0,  5,    0,0,0);// Mixture  
  n = InitPotion(n,"potionrum",   "Adrenaline", 1,  3,  0.20,  3,    80, 0.4, 2, 1, 0,  90.0,  4,    1,0,0);// Rum by VERRUCKT
  n = InitPotion(n,"potionwine",  "elixir",     1,  6,  0.10,  3,   120, 0.2, 3, 2, 0, 180.0,  7,    1,0,0);// Wine by VERRUCKT
  //-----------------------------------------------------------------------------------------------------------------------------------------------------------------

  //-------------------------------------------------------------------O----------------SKILL ITEM SETTINGS----------------O-----------------------------------------
  // GENERAL:  ItemIndex                 picIndex          Price   numneeded    leader     accuracy    repair       sneak skiptrade   skipsell
  //           |    itmID  modelID          |   rare         |         | stack    | fencing   | cannons   | defense   |   |  skiprand |
  //           |      |      |   picTexture |    |  MinLevel | indian  |  | hidden|   |  sailing  |  grapple  |  commerce |   |  skipequip
  //-----------|------|------|----------|---|----|-----|-----|----|----|--|--|----|---|---|---|---|---|---|---|---|---|---|---|---|---|-------------------------------
  n = InitItem(n,"compass1", "",       11,  1,  0.30,  2,     30, 0,   1, 0, 0,   0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  1,  0,  0);// Cheap Compass
  n = InitItem(n,"compass2", "",       11,  2,  0.10,  3,    316, 0,   1, 0, 0,   0,  0, +1,  0,  0,  0,  0,  0,  0,  0,  0,  1,  0,  0);// Normal Compass    // + skill item
  n = InitItem(n,"compass3", "",       11,  3,  0.05,  5,   2100, 0,   1, 0, 0,   0,  0, +1,  0,  0,  0,  0,  0,  0,  0,  0,  1,  0,  0);// Enhanced Compass  // + skill item // KK
  n = InitItem(n,"clock1", "",         11, 12,  0.30,  2,     50, 0,   1, 0, 0,   0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0);// Simple clock
  n = InitItem(n,"clock2", "",         11, 13,  0.05,  5,   1293, 0,   1, 0, 0,   0,  0, +1,  0,  0,  0,  0,  0,  0,  0,  0,  1,  0,  0);// Chronometer
  n = InitItem(n,"sextant", "",        11,  9,  0.10,  4,    907, 0,   1, 0, 0,   0,  0, +1,  0,  0,  0,  0,  0,  0,  0,  0,  1,  0,  0);// Sextant       // ++ skill item
  n = InitItem(n,"scales", "",         11,  8,  0.10,  3,    340, 0,   1, 0, 0,   0,  0,  0,  0,  0,  0,  0,  0, +1,  0,  0,  0,  0,  0);// Scales        // ++ skill item
  n = InitItem(n,"doctortoolkit", "",  11,  4,  0.10,  5,   2419, 0,   1, 0, 0,   0,  0,  0,  0,  0,  0,  0, +2,  0,  0,  0,  1,  0,  0);// Doctor's Toolkit  // ++ skill item
  n = InitItem(n,"microscope", "",     11,  5,  0.10,  3,   1390, 0,   1, 0, 0,  +1,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0);// Microscope      // + skill item
  //------------------------------------------------------------------------------------------------------------------------------------------------------------------
  // BOOKS: added by Short Jack Gold
  //--------------------------------------------------------------------------------------------------------------------------------------------------
  n = InitItem(n,"book1",  "",         13,  3,  0.10,  7,    112, 0,   1, 0, 0,   0,  0,  0,  0,  0, +1,  0,  0,  0,  0,  0,  0,  0,  1);// Black Bart's Bumper Book of Boarding
  n = InitItem(n,"book2",  "",         13,  4,  0.05,  4,    210, 0,   1, 0, 0,   0,  0, +1,  0,  0,  0,  0,  0, +1,  0,  0,  0,  0,  1);// Boelen Algebra
  n = InitItem(n,"book9",  "",         13,  1,  0.25,  3,    200, 0,   1, 0, 0,   0,  0,  0,  0,  0,  0,  0,  0,  0, -2,  0,  0,  0,  1);// Cooking With Albatross
  n = InitItem(n,"book10", "",         13, 13,  0.05,  1,    240, 0,   1, 0, 0,   0, +1,  0,  0,  0,  0,  0, +1,  0,  0,  0,  0,  0,  1);// Definitive Defence
  n = InitItem(n,"book3",  "",         11, 15,  0.05,  3,    260, 0,   1, 0, 0,   0,  0,  0,  0,  0,  0,  0,  0, +1, +1,  0,  0,  0,  1);// Drow's Double Your Dubloons
  n = InitItem(n,"book11", "",         13, 11,  0.05,  11,   230, 0,   1, 0, 0,   0,  0,  0, +1, +1,  0,  0,  0,  0,  0,  0,  0,  0,  1);// Fighting Forts
  n = InitItem(n,"book12", "",         13,  5,  0.10,  6,    120, 0,   1, 0, 0,   0,  0,  0, +1,  0,  0,  0,  0,  0,  0,  0,  0,  0,  1);// Great Gun Sights
  n = InitItem(n,"book13", "",         13,  6,  0.10,  2,    108, 0,   1, 0, 0,  +1,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  1);// Handy Sea Phrases
  n = InitItem(n,"book4",  "",         13, 14,  0.05,  5,    110, 0,   1, 0, 0,   0,  0, +1,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  1);// Hook's Book
  n = InitItem(n,"book14", "",         13,  8,  0.10,  1,    105, 0,   1, 0, 0,   0,  0,  0,  0,  0,  0,  0, +1,  0,  0,  0,  0,  0,  1);// How to Repel Boarders
  n = InitItem(n,"book5",  "",         13, 15,  0.10,  2,    115, 0,   1, 0, 0,   0,  0,  0,  0,  0,  0, +1,  0,  0,  0,  0,  0,  0,  1);// Morgan's Missing Mizzen
  n = InitItem(n,"book6",  "",         13,  9,  0.10,  3,    120, 0,   1, 0, 0,   0,  0,  0,  0, +1,  0,  0,  0,  0,  0,  0,  0,  0,  1);// Morgan's Mast Mashing
  n = InitItem(n,"book7",  "",         11, 14,  0.05,  2,    275, 0,   1, 0, 0,  +1,  +1, 0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  1);// Morgan's Almanac
  n = InitItem(n,"book8",  "",         13,  2,  0.10,  6,    117, 0,   1, 0, 0,   0,  0,  0,  0,  0, +1,  0,  0,  0,  0,  0,  0,  0,  1);// Pirating With Petros
  n = InitItem(n,"book15", "",         13, 12,  0.10,  6,    106, 0,   1, 0, 0,   0,  0,  0,  0,  0,  0, +1,  0,  0,  0,  0,  0,  0,  1);// Ship Repair Without Nails
  // PB: SuperDurnius' work on books is now used; numers 7, 10 and 16 remain unused but could be used for future books
  //     Some skill modifiers changed; all modders' books now give more bonus points than minus points  //BB changed to no negatives and less positive and more cost and higher rarity.

  if(ITEM_REALISM)   // BB&Sulan no bonuses - for those who like more realism, to whom a ruby does not grant any fencing skills
  {
  //--------------------------------------------------------------------------------------------------------------------------------------------------
  // JEWELRY:
  //--------------------------------------------------------------------------------------------------------------------------------------------------
  n = InitItem(n,"jewelry1", "sapphire",2,  1,  0.05,  3,    253, 0,   1, 1, 0,   0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0);// Sapphire      // + skill item //BB remove all skill bonus
  n = InitItem(n,"jewelry2", "diamond", 2,  2,  0.02,  4,    618, 0,   1, 1, 0,   0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0);// Diamond       // + skill item //BB but add value to price
  n = InitItem(n,"jewelry3", "ruby",    2,  3,  0.10,  1,    356, 0,   1, 1, 0,   0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0);// Ruby        // + skill item //BB this is valuable and rare
  n = InitItem(n,"jewelry4", "emerald", 2,  4,  0.10,  2,    309, 0,   1, 1, 0,   0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0);// Emerald       // + skill item //BB gems and jewelry after all!
  n = InitItem(n,"jewelry5", "",        2,  5,  0.10,  1,    209, 0,   1, 1, 1,   0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0);// Gold Nugget                         //BB economci adjusts also.
  n = InitItem(n,"jewelry6", "",        2,  6,  0.10,  2,    320, 0,   1, 1, 1,   0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0);// Silver sapphire ring
  n = InitItem(n,"jewelry7", "",        2,  7,  0.10,  5,    650, 0,   1, 1, 1,   0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0);// Gold emerald ring
  n = InitItem(n,"jewelry8", "",        2,  8,  0.20,  1,    230, 0,   1, 1, 0,   0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0);// Lucky Ring      // + skill item //BB as above, remove all
  n = InitItem(n,"jewelry9", "",        2,  9,  0.15,  2,    460, 0,   1, 1, 0,   0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0);// Bronze Cross      // + skill item //BB skill bonus for
  n = InitItem(n,"jewelry10","",        2, 10,  0.10,  7,    714, 0,   1, 1, 0,   0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0);// Gold sapphire ring  // + skill item //BB jewelry items
  n = InitItem(n,"jewelry11","pearlbig",2, 11,  0.15,  2,    693, 0,   1, 1, 1,   0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0);// Large pearl
  n = InitItem(n,"jewelry12","pearlsmall",2,12, 0.20,  1,    320, 0,   1, 1, 1,   0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0);// Small pearl
  n = InitItem(n,"jewelry13","",        2, 13,  0.10,  3,    482, 0,   1, 1, 1,   0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0);// Silver Brooch
  n = InitItem(n,"jewelry14","",        2, 14,  0.05,  7,    911, 0,   1, 1, 1,   0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0);// Gold Brooch
  n = InitItem(n,"jewelry15","",        2, 15,  0.05,  9,   4390, 0,   1, 1, 1,   0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0);// Emerald Pendant
  n = InitItem(n,"jewelry16","",        2, 16,  0.02, 12,   6925, 0,   1, 1, 1,   0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0);// Gem necklace
  //--------------------------------------------------------------------------------------------------------------------------------------------------
  // INDIAN TRINKETS:
  //--------------------------------------------------------------------------------------------------------------------------------------------------
  n = InitItem(n,"indian1", "",         5,  1,  0.10,  3,    250, 1,   1, 1, 1,   0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0);// Irgantachul Idol
  n = InitItem(n,"indian2", "",         5,  2,  0.05,  1,     70, 1,   1, 1, 1,   0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0);// Weird Animal Figurine
  n = InitItem(n,"indian3", "",         5,  3,  0.10,  1,    150, 1,   1, 1, 1,   0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0);// Small Mosaic
  n = InitItem(n,"indian4", "",         5,  4,  0.20,  1,     50, 1,   1, 1, 1,   0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0);// Clay Jar
  n = InitItem(n,"indian5", "",         5,  5,  0.05,  6,    230, 1,   1, 1, 0,   0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0);// Markuchankatu Mask  // + skill item
  n = InitItem(n,"indian6", "",         5,  6,  0.05,  4,    270, 1,   1, 1, 0,   0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0);// Akumalartu Figurine // +- skill item
  n = InitItem(n,"indian7", "",         5,  7,  0.10,  3,    320, 1,   1, 1, 0,   0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0);// Pikachuatl Idol   // + skill item
  n = InitItem(n,"indian8", "",         5,  8,  0.08,  4,    440, 1,   1, 1, 1,   0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0);// Royal Cuspidor
  n = InitItem(n,"indian9", "",         5,  9,  0.05,  5,    460, 1,   1, 1, 1,   0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0);// Bakachukta Idol
  n = InitItem(n,"indian10", "",        5, 10,  0.07,  2,    270, 1,   1, 1, 1,   0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0);// Yxtoikchatlu Idol
  n = InitItem(n,"indian11", "",        5, 11,  0.10,  5,    250, 1,   1, 1, 1,   0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0);// Wisdom Tooth Figurine
  n = InitItem(n,"indian12", "",        5, 12,  0.07,  5,    280, 1,   1, 1, 1,   0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0);// Morchachtulak Idol
  n = InitItem(n,"indian13", "",        5, 13,  0.10,  1,    140, 1,   1, 1, 1,   0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0);// Ancient Ritual Jar
  n = InitItem(n,"indian14", "",        5, 14,  0.05,  5,    490, 1,   1, 1, 1,   0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0);// Ichtyloxtumba Idol
  n = InitItem(n,"indian15", "",        5, 15,  0.05,  9,    290, 1,   1, 1, 1,   0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0);// Clay Ritual Bath
  n = InitItem(n,"indian16", "",        5, 16,  0.05,  3,    120, 1,   1, 1, 1,   0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0);// Unusually Painted Pot
  n = InitItem(n,"indian17", "stat1",   5, 14,  0.01, 55,   1000, 1,   1, 1, 0,   0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  1);// Darien Idol//--------------------------------------------------------------------------------------------------------------------------------------------------
  // MINERALS:
  //--------------------------------------------------------------------------------------------------------------------------------------------------
  n = InitItem(n,"mineral1", "",        7,  1,  0.05,  1,    110, 1,   3, 1, 0,   0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0);// Pyrite        
  n = InitItem(n,"mineral2", "",        7,  2,  0.05,  2,    180, 0,   2, 1, 1,   0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0);// Garnet
  n = InitItem(n,"mineral3", "",        7,  3,  0.05,  3,    250, 1,   2, 1, 0,   0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0);// Chrysoberyl     
  n = InitItem(n,"mineral7", "",        7,  7,  0.10,  2,    150, 0,   1, 1, 0,   0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0);// Smoky Quartz    
  n = InitItem(n,"mineral8", "",        7,  8,  0.05,  4,    430, 0,   1, 1, 0,   0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0);// Tormaline      
  n = InitItem(n,"mineral9", "",        7,  9,  0.05,  5,    550, 0,   2, 1, 1,   0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0);// Topaz
  n = InitItem(n,"mineral15", "",       7, 15,  0.02,  4,    630, 0,   1, 1, 0,   0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0);// Platinum      
  n = InitItem(n,"mineral16", "",       7, 16,  0.10,  1,     80, 0,   4, 1, 0,   0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0);// Rock Crystal   
  //--------------------------------------------------------------------------------------------------------------------------------------------------
  // SPECIAL:
  //--------------------------------------------------------------------------------------------------------------------------------------------------
  n = InitItem(n,"chinatiger", "",      7, 10,  0.01,  8,   4580, 0,   1, 1, 0,   0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0);// + skill item  // LDH unhide 05Jan09
  n = InitItem(n,"whiteskull", "",      7, 11,  0.08, 10,   6750, 1,   1, 1, 1,   0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  1,  0);// quest item
  n = InitItem(n,"roseskull", "",       7, 12,  0.05, 15,   9250, 1,   1, 1, 1,   0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  1,  0);// quest item
  n = InitItem(n,"blueskull", "",       7, 13,  0.01, 20,   8120, 1,   1, 1, 1,   0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  1,  0);// quest item
  n = InitItem(n,"mineral4", "",        7,  4,  0.20,  1,     25, 0,   1, 1, 1,  -2, +2,  0,  0,  0,  0,  0,  0,  0, -2,  1,  0,  0,  1);// Albatross     //BB a joke, i get it! so no change.
  //--------------------------------------------------------------------------------------------------------------------------------------------------
  }
  else // Sulan: fantasy setting - various jewels, gems etc. give skill bonuses
  {
  //--------------------------------------------------------------------------------------------------------------------------------------------------
  // JEWELRY:
  //--------------------------------------------------------------------------------------------------------------------------------------------------
  n = InitItem(n,"jewelry1", "sapphire",2,  1,  0.05,  3,    753, 0,   1, 1, 0,   0,  0,  0,  0,  0,  0,  0,  0, +1,  0,  0,  0,  0,  0);// Sapphire      // + skill item //BB remove all skill bonus
  n = InitItem(n,"jewelry2", "diamond", 2,  2,  0.02,  4,   1118, 0,   1, 1, 0,  +1,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0);// Diamond       // + skill item //BB but add value to price
  n = InitItem(n,"jewelry3", "ruby",    2,  3,  0.10,  1,    856, 0,   1, 1, 0,   0, +1,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0);// Ruby        // + skill item //BB this is valuable and rare
  n = InitItem(n,"jewelry4", "emerald", 2,  4,  0.10,  2,    809, 0,   1, 1, 0,   0,  0,  0,  0,  0,  0, +1,  0,  0,  0,  0,  0,  0,  0);// Emerald       // + skill item //BB gems and jewelry after all!
  n = InitItem(n,"jewelry5", "",        2,  5,  0.10,  1,    209, 0,   1, 1, 1,   0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0);// Gold Nugget                         //BB economci adjusts also.
  n = InitItem(n,"jewelry6", "",        2,  6,  0.10,  2,    320, 0,   1, 1, 1,   0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0);// Silver sapphire ring
  n = InitItem(n,"jewelry7", "",        2,  7,  0.10,  5,    650, 0,   1, 1, 1,   0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0);// Gold emerald ring
  n = InitItem(n,"jewelry8", "",        2,  8,  0.15,  1,    730, 0,   1, 1, 0,   0,  0,  0,  0,  0,  0,  0,  0,  0, +1,  0,  0,  0,  0);// Lucky Ring      // + skill item //BB as above, remove all
  n = InitItem(n,"jewelry9", "",        2,  9,  0.15,  2,    960, 0,   1, 1, 0,   0,  0,  0,  0,  0,  0,  0,  0,  0, +1,  0,  0,  0,  0);// Bronze Cross      // + skill item //BB skill bonus for
  n = InitItem(n,"jewelry10","",        2, 10,  0.10,  7,    714, 0,   1, 1, 0,   0,  0,  0,  0,  0, +1,  0,  0,  0,  0,  0,  0,  0,  0);// Gold sapphire ring  // + skill item //BB jewelry items
  n = InitItem(n,"jewelry11","pearlbig",2, 11,  0.15,  2,    693, 0,   1, 1, 1,   0,  0, +1,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0);// Large pearl
  n = InitItem(n,"jewelry12","pearlsmall",2,12, 0.20,  1,    320, 0,   1, 1, 1,   0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0);// Small pearl
  n = InitItem(n,"jewelry13","",        2, 13,  0.10,  3,    482, 0,   1, 1, 1,   0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0);// Silver Brooch
  n = InitItem(n,"jewelry14","",        2, 14,  0.05,  7,    911, 0,   1, 1, 1,   0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0);// Gold Brooch
  n = InitItem(n,"jewelry15","",        2, 15,  0.05,  9,   4390, 0,   1, 1, 1,   0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0);// Emerald Pendant
  n = InitItem(n,"jewelry16","",        2, 16,  0.02, 12,   6925, 0,   1, 1, 1,   0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0);// Gem necklace
  //--------------------------------------------------------------------------------------------------------------------------------------------------
  // INDIAN TRINKETS:
  //--------------------------------------------------------------------------------------------------------------------------------------------------
  n = InitItem(n,"indian1", "",         5,  1,  0.10,  3,    750, 1,   1, 1, 1,   0,  0,  0,  0,  0,  0,  0,  0, +1,  0,  0,  0,  0,  0);// Irgantachul Idol
  n = InitItem(n,"indian2", "",         5,  2,  0.05,  1,     70, 1,   1, 1, 1,   0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0);// Weird Animal Figurine
  n = InitItem(n,"indian3", "",         5,  3,  0.10,  1,    150, 1,   1, 1, 1,   0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0);// Small Mosaic
  n = InitItem(n,"indian4", "",         5,  4,  0.20,  1,     50, 1,   1, 1, 1,   0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0);// Clay Jar
  n = InitItem(n,"indian5", "",         5,  5,  0.05,  6,    730, 1,   1, 1, 0,   0,  0, +1,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0);// Markuchankatu Mask  // + skill item
  n = InitItem(n,"indian6", "",         5,  6,  0.05,  4,    770, 1,   1, 1, 0,   0, +1,  0,  0,  0,  0,  0,  0,  0, -1,  0,  0,  0,  0);// Akumalartu Figurine // +- skill item
  n = InitItem(n,"indian7", "",         5,  7,  0.10,  3,    720, 1,   1, 1, 0,   0,  0,  0,  0,  0,  0,  0,  0,  0, +1,  0,  0,  0,  0);// Pikachuatl Idol   // + skill item
  n = InitItem(n,"indian8", "",         5,  8,  0.08,  4,    440, 1,   1, 1, 1,  +1,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0);// Royal Cuspidor
  n = InitItem(n,"indian9", "",         5,  9,  0.05,  5,    460, 1,   1, 1, 1,   0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0);// Bakachukta Idol
  n = InitItem(n,"indian10", "",        5, 10,  0.07,  2,    270, 1,   1, 1, 1,   0,  0,  0,  0,  0,  0, +1,  0,  0,  0,  0,  0,  0,  0);// Yxtoikchatlu Idol
  n = InitItem(n,"indian11", "",        5, 11,  0.10,  5,    250, 1,   1, 1, 1,   0,  0,  0,  0,  0,  0,  0, +1,  0,  0,  0,  0,  0,  0);// Wisdom Tooth Figurine
  n = InitItem(n,"indian12", "",        5, 12,  0.07,  5,    280, 1,   1, 1, 1,   0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0);// Morchachtulak Idol
  n = InitItem(n,"indian13", "",        5, 13,  0.10,  1,    140, 1,   1, 1, 1,   0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0);// Ancient Ritual Jar
  n = InitItem(n,"indian14", "",        5, 14,  0.05,  5,    490, 1,   1, 1, 1,   0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0);// Ichtyloxtumba Idol
  n = InitItem(n,"indian15", "",        5, 15,  0.05,  9,    290, 1,   1, 1, 1,   0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0);// Clay Ritual Bath
  n = InitItem(n,"indian16", "",        5, 16,  0.05,  3,    120, 1,   1, 1, 1,   0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0);// Unusually Painted Pot
  n = InitItem(n,"indian17", "stat1",   5, 14,  0.01, 55,   1000, 1,   1, 1, 0,  +1, +1,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  1);// Darien Idol
  //--------------------------------------------------------------------------------------------------------------------------------------------------
  // MINERALS:
  //--------------------------------------------------------------------------------------------------------------------------------------------------
  n = InitItem(n,"mineral1", "",        7,  1,  0.08,  3,    410, 1,   3, 1, 0,   0,  0,  0,  0, +1,  0,  0,  0,  0,  0,  0,  0,  0,  0);// Pyrite        
  n = InitItem(n,"mineral2", "",        7,  2,  0.09,  5,    880, 0,   2, 1, 1,   0,  0,  0, +1,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0);// Garnet
  n = InitItem(n,"mineral3", "",        7,  3,  0.08,  8,    950, 1,   2, 1, 0,   0,  0, +1,  0,  0, +1,  0,  0,  0,  0,  0,  0,  0,  0);// Chrysoberyl     
  n = InitItem(n,"mineral7", "",        7,  7,  0.12,  5,    650, 0,   1, 1, 0,   0,  0,  0,  0,  0,  0, +1,  0,  0, -1,  0,  0,  0,  0);// Smoky Quartz    
  n = InitItem(n,"mineral8", "",        7,  8,  0.08,  8,    630, 0,   1, 1, 0,   0,  0,  0,  0,  0,  0,  0,  0, +1,  0,  0,  0,  0,  0);// Tormaline      
  n = InitItem(n,"mineral9", "",        7,  9,  0.10,  9,    550, 0,   2, 1, 1,   0,  0,  0,  0,  0,  0,  0, +1,  0,  0,  0,  0,  0,  0);// Topaz
  n = InitItem(n,"mineral15", "",       7, 15,  0.05,  6,    720, 0,   1, 1, 0,   0,  0,  0,  0, +1,  0,  0,  0,  0,  0,  0,  0,  0,  0);// Platinum      
  n = InitItem(n,"mineral16", "",       7, 16,  0.10,  6,    210, 0,   4, 1, 0,  +1,  0, +1,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0);// Rock Crystal   
  //--------------------------------------------------------------------------------------------------------------------------------------------------
  // SPECIAL:
  //--------------------------------------------------------------------------------------------------------------------------------------------------
  n = InitItem(n,"chinatiger", "",      7, 10,  0.03,  8,   4580, 0,   1, 1, 0,   0,  0,  0, +2,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0);// LDH unhide 05Jan09
  n = InitItem(n,"whiteskull", "",      7, 11,  0.08, 10,   2750, 1,   1, 1, 1,   0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  1,  0);// quest item
  n = InitItem(n,"roseskull", "",       7, 12,  0.05, 13,   3250, 1,   1, 1, 1,   0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  1,  0);// quest item
  n = InitItem(n,"blueskull", "",       7, 13,  0.01, 15,   8100, 1,   1, 1, 1,   0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  1,  0);// quest item
  n = InitItem(n,"mineral4", "",        7,  4,  0.20,  1,     25, 0,   1, 1, 1,  -2, +2,  0,  0,  0,  0,  0,  0,  0, -2,  1,  0,  0,  1);// Albatross        
  }
  n = InitMaps(n); // KK

  //-------------------------------------------------------------------------------------------------------------------------------
  // NK -->
  //set Items_quantity
  ITEMS_QUANTITY = n;

  //InitRandItems(); // TIH moved further down Aug24'06
  //InitWeaponItemArrays(); // TIH moved further down Aug24'06
  SKILLITEMS_QUANTITY = 0;
  TRADEITEMS_QUANTITY = 0; // NK 05-04-01 itemtrade
  float price, qual;
  string tmpstr;
  for(n=0; n<ITEMS_QUANTITY; n++) //loop for skill items
  {
    makeref(itm,Items[n]);
    //trace("-----------------------------------------------");
    //trace("Item "+ n +": "+itm.id);
    // NK 05-04-03 itemtrade assign quality -->
    if(sti(itm.skiptrade))
    {
      itm.skipgeneral = true;
      itm.skipsell = true;
      DeleteAttribute(&itm,"quality");
    } // 05-04-01 NK itemtrade add skipgeneral attribute, delete qual
    else
    {
      if(sti(itm.quality) == -1)  // means we auto-assign
      {
        price = stf(itm.price);
        if(!CheckAttribute(itm,"groupID"))
        {
          // All items have groupID now so this code is never used
          qual = pow2(price, IT_QUAL_AI_POW) * IT_QUAL_AI_SCL;  // price^0.5 * 0.165, 150=2, 925=5, 3700=10
//          Trace("Item without GroupID = " + itm.id);  // never gets executed
        }
        else
        {
          price /= IT_WEAP_PRICE_SCL;               // price / 0.25
          qual = pow2(price, IT_QUAL_AW_POW) * IT_QUAL_AW_SCL; // (price*4)^0.33333 * 0.22, 200=2, 3000=5, 5000=6, 23500=10
        }
        itm.quality = iclamp(IT_QUAL_MIN, IT_QUAL_MAX, round(qual));  // 1..10
      }
      if(CheckAttribute(itm,"groupID"))
      {
        if(!sti(itm.skiptype))
        {
          tmpstr = itm.groupID;
          itm.types.(tmpstr) = true;
        }
      }
      TRADEITEMS_QUANTITY++; // NK 05-04-01 itemtrade
    }
    // NK <--
    if(!CheckAttribute(itm,"minlevel")) itm.minlevel = 1;
//    if(sti(itm.minlevel) < 1) itm.minlevel = 1;
    if(sti(itm.minlevel) < 0) itm.minlevel = 0;   // LDH reduced minlevel minimum to zero - 09May09
    if(CheckAttribute(itm,"skill"))
    {
      SKILLITEMS[SKILLITEMS_QUANTITY].id = itm.id;
      SKILLITEMS_QUANTITY++;
      if(!CheckAttribute(itm,"skill.num")) itm.skill.num = 1;
      if(!CheckAttribute(itm,"skill.stack")) itm.skill.stack = 1;
      if(!CheckAttribute(itm,"skill.hidden")) itm.skill.hidden = 0;
    }
    //DumpAttributes(itm);
    //trace("-----------------------------------------------");
  }
  // NK <--
  // TIH --> moved these to here, so that they use proper settings that may be set above Aug24'06
  InitRandItems(); // init random items from this list
  InitWeaponItemArrays(); // moved down here so it can USE the ITEMS_QUANTITY to perform
  // TIH <--
  //-------------------------------------------------------------------------------------------------------------------------------
  trace("Items initialization complete. Loaded "+ITEMS_QUANTITY+" items.");
}
//===============================================================================================================================


//-------------------------------------------------------------------------------------------------------------------------------
void InitButtons()
{
  aref lab3;
  makearef(lab3, Locations[FindLocation("Labirint_3")]);

  lab3.items.b_1.locator = "button01";
  lab3.items.b_1.model   = "b1";
  lab3.items.b_1.itemDeltaY  = 0.0;
  lab3.items.b_1.deltaY  = -0.05;
  lab3.items.b_1.trigged  = false;

/*
  lab3.items.b_2.locator = "b_2";
  lab3.items.b_2.model   = "items\b2";
  lab3.items.b_2.itemDeltaY  = 0.1;
  lab3.items.b_2.deltaY  = -0.1;
  lab3.items.b_2.trigged  = false;

  lab3.items.b_3.locator = "b_3";
  lab3.items.b_3.model   = "items\b3";
  lab3.items.b_3.itemDeltaY  = 0.1;
  lab3.items.b_3.deltaY  = -0.1;
  lab3.items.b_3.trigged  = false;

  lab3.items.b_4.locator = "b_4";
  lab3.items.b_4.model   = "items\b4";
  lab3.items.b_4.deltaY  = -0.1;
  lab3.items.b_4.trigged  = 0;

  lab3.items.b_5.locator = "b_5";
  lab3.items.b_5.model   = "items\b5";
  lab3.items.b_5.deltaY  = -0.1;
  lab3.items.b_5.trigged  = false;

  lab3.items.b_6.locator = "b_6";
  lab3.items.b_6.model   = "items\b6";
  lab3.items.b_6.deltaY  = -0.3;
  lab3.items.b_6.trigged  = false;

  lab3.items.b_7.locator = "b_7";
  lab3.items.b_7.model   = "items\b7";
  lab3.items.b_7.deltaY  = -0.1;
  lab3.items.b_7.trigged  = false;

  lab3.items.b_8.locator = "b_8";
  lab3.items.b_8.model   = "items\b8";
  lab3.items.b_8.deltaY  = -0.1;
  lab3.items.b_8.trigged  = false;

  lab3.items.b_9.locator = "b_9";
  lab3.items.b_9.model   = "items\b9";
  lab3.items.b_9.deltaY  = -0.3;
  lab3.items.b_9.trigged  = false;
*/
}
//-------------------------------------------------------------------------------------------------------------------------------

//-------------------------------------------------------------------------------------------------------------------------------
void InitRandItems()
{
  ref rnditem, itm;

// NK -->
// loop through items to find all rand-enabled items.
  RANDITEMS_QUANTITY = 0;
  int i, j;
  for(i = 0; i < ITEMS_QUANTITY; i++)
  {
    makeref(itm,Items[i]);
    if(CheckAttribute(itm,"skiprand") && sti(itm.skiprand)) continue;
    for(j = 0; j < sti(itm.numrand); j++)
    {
      makeref(rnditem,RandItems[RANDITEMS_QUANTITY]);
      rnditem.id = itm.id;
      rnditem.maxQuantity = intRet(CheckAttribute(itm,"groupID"),1,4);
      RANDITEMS_QUANTITY++;
    }
  }
// NK <--
}
//-------------------------------------------------------------------------------------------------------------------------------

//-------------------------------------------------------------------------------------------------------------------------------
void InitWeaponItemArrays()
{
  ref WeaponItem;
  ref Item;
  BLADE_HIGH = -1;
  GUN_HIGH   = -1;
  int i;
  for(i = 0; i < ITEMS_QUANTITY; i++)
  {
    makeref(Item,Items[i]);
    if(CheckAttribute(Item,"groupID") && !sti(Item.skipequip))
    {
      switch(Item.groupID)
      {
        case BLADE_ITEM_TYPE:
          BLADE_HIGH++;
          makeref(WeaponItem,BladeItems[BLADE_HIGH]);
          CopyAttributes(WeaponItem,Item);
        break;
        case GUN_ITEM_TYPE:
          GUN_HIGH++;
          makeref(WeaponItem,GUNItems[GUN_HIGH]);
          CopyAttributes(WeaponItem,Item);
        break;
      }
    }
  }
  SortBladeArray(0,BLADE_HIGH,"minlevel","dmg_max");  // LDH sort by minlevel then max damage within minlevel, fast sort - 09May09
  SortGunArray(0,GUN_HIGH);

//  Trace("----------PostSort--------------------------------------");
//  for(i = 0; i <= BLADE_HIGH; i++)
//  {
//    Trace(i + "," + BladeItems[i].minLevel + "," + BladeItems[i].id + "," + sti(BladeItems[i].dmg_max) + "," + BladeItems[i].price);
//  }
//  Trace("----------PostSort--------------------------------------");
//  for(i = 0; i <= GUN_HIGH; i++)
//  {
//    Trace(i + "," + GunItems[i].minLevel + "," + GunItems[i].id + "," + sti(GunItems[i].dmg_max) + "," + GunItems[i].price);
//  }
//  Trace("--------------------------------------------------------");
}
//-------------------------------------------------------------------------------------------------------------------------------


//-------------------------------------------------------------------------------------------------------------------------------
// Sulan: simplified and improved Weaponsmod code by scheffnow      --->
//-------------------------------------------------------------------------------------------------------------------------------
 int InitBlade( ref     ItemIndex,
                string  id,
                string  ModelID,
                string  picTexture,
                int     picIndex,
                float   Rare,
                int     MinLevel,
                int     Price,
                float   DmgMin,
                float   DmgMax,
                int     Piercing,
                int     Blocking,
                string  nation,
                float   Disarm,        
                int     NoWeaponsMod) // PB: Added to enable disarming with weapons mod on // Sulan: Added for items which don't have quality textures
{
  ref blade;
  int BladeIndex = ItemIndex;
  string  typetemp;     // NK 05-04-06  
  nation += "";         // Sulan: if called without nation string
  int i;
  int QualityPiercing;
  int QualityBlocking;
  int QualityMinLevel;
  int QualityPrice;
  float QualityDisarm; // PB: Added to limit disarming
  float QualityRare;
  float QualityDmgMin;
  float QualityDmgMax;
  bool  QualitySkipRand;
  bool  QualitySkipTrade;
  bool  QualitySkipSell; // NK 05-04-06 so traders can buy items but not sell them.
  bool  QualitySkipEquip; // PB
  string  QualityTexture;
  string  QualityName;
  string  BladeID;
  
  if(ENABLE_WEAPONSMOD && (NoWeaponsMod == 0))
  {  
    for (i = 0; i < 6; i++)
    {
      // start quality settings
      QualityDmgMin = (1.0 + (i-2) * 0.05) * DmgMin;  // 0.90, 0.95, 1.00, 1.05, 1.10, 1.15
      QualityDmgMax = (1.0 + (i-2) * 0.05) * DmgMax;
      QualityPrice  = (1.0 + (i-2) * 0.25) * Price;   // 0.50, 0.75, 1.00, 1.25, 1.50, 1.75
      if ( IT_RPG_STYLE ) QualityRare = Rare * (1.0 - 0.12 * makefloat(abs(1-i))); // TIH so the low quality items show up for low level characters (they get purged at higher levels)
      else                QualityRare = Rare * (1.0 - 0.17 * makefloat(abs(2-i))); // NK 05-04-05 mod so bad items are rarer, as well as excellent, average = Rare
      QualitySkipTrade = false;
      QualitySkipRand  = false;
      QualitySkipSell  = false; // NK 05-04-06 so traders can buy items but not sell them.
      QualitySkipEquip = false; // PB
      QualityDisarm = (-2 + i) * Disarm // PB: Added to limit disarming to good sabers and up
      switch(i)
      {
        case 0:
          QualityTexture  = "ITEMS_" + picTexture + "-2";
          if(BLADEDAMAGE_ENABLED) QualityName = "Broken"; // PB: Replace Badly Worn with Broken
          else QualityName  = "Badly worn";
          BladeID   = id + "-2";
          QualitySkipSell = true; // NK 05-04-06 so traders can buy items but not sell them.
          if(BLADEDAMAGE_ENABLED) QualitySkipEquip  = true; // So enemies don't carry broken blades
        break;
  
        case 1:
          QualityTexture  = "ITEMS_" + picTexture + "-1";
          QualityName = "Worn";
          BladeID   = id + "-1";
          if ( !IT_RPG_STYLE ) QualitySkipSell  = true; // TIH skipsell if players are showing all items regardless of level // NK 05-04-06 so traders can buy items but not sell them.
        break;
  
        case 2:
          QualityTexture  = "ITEMS_" + picTexture;
          QualityName = "Average";
          BladeID   = id;
        break;
  
        case 3:
          QualityTexture  = "ITEMS_" + picTexture + "+1";
          QualityName = "Good";
          BladeID   = id + "+1";
        break;
  
        case 4:
          QualityTexture  = "ITEMS_" + picTexture + "+2";
          QualityName = "Fine";
          BladeID   = id + "+2";
          QualitySkipRand = true;
        break;
  
        case 5:
          QualityTexture  = "ITEMS_" + picTexture + "+3";
          QualityName = "Excellent";    // LDH fix spelling 07May09
          BladeID   = id + "+3";
          QualitySkipSell = true;
          QualitySkipRand = true; // You won't find excellent blades    
        break;
      }
  
      QualityBlocking = makeint(-2 + i + Blocking); // TIH 'makeint' instead of 'sti' Nov21'06
      if(QualityBlocking < 0)
      {
        QualityBlocking = 0;
      }
      QualityPiercing = makeint(-2 + i + Piercing); // TIH 'makeint' instead of 'sti' Nov21'06
      if(QualityPiercing < 0)
      {
        QualityPiercing = 0;
      }    
      QualityMinLevel = makeint(-2 + i + MinLevel);         // TIH 'makeint' instead of 'sti' Nov21'06 // TIH number change Aug24'06 - TIH fixed to restrict better quality to higher levels
      if(QualityMinLevel < 0 && MinLevel != 0)              // NK fix for too many daggers 05-07-09
      {
        QualityMinLevel = 0;
      }
      // end quality settings
  
      makeref(blade,Items[BladeIndex]);
      blade.id            = BladeID;
      blade.baseid        = id; // TIH
      blade.BladeQuality  = i;
      blade.groupID       = BLADE_ITEM_TYPE;
      blade.name          = "itmname_" + id;
      blade.describe      = "itmdescr_" + id;
      blade.model         = ModelID;
      blade.QualityName   = QualityName;
      blade.picTexture    = QualityTexture;
      blade.picIndex      = picIndex;
      blade.minlevel      = QualityMinLevel;
      blade.price         = QualityPrice; // LDH 09May09
      blade.dmg_min       = QualityDmgMin;
      blade.dmg_max       = QualityDmgMax;
      blade.piercing      = QualityPiercing;
      blade.block         = QualityBlocking;
      blade.skiptrade     = QualitySkipTrade;
      blade.skipequip     = QualitySkipEquip;
      switch(id)
      {        
        case "bladelead": blade.stun = 0.10;                // Stun enemies
                          blade.skipequip = true;   break;  // Random characters don't use them
        case "bladeclub": blade.stun = 0.75;                // Stun enemies
                          blade.skipequip = true;   break;  // Random characters don't use them
      }
      // PB: Unique Blades -->       
      if (IsWeaponUnique(id) && UNIQUE_WEAPONS)
      {
        blade.rare        = 0.00;
      }
      else
      {
        blade.skiprand    = QualitySkipRand;
        blade.skipsell    = QualitySkipSell; // NK 05-04-06 so traders can buy items but not sell them.
        blade.rare        = QualityRare;
      }
      if (stf(blade.rare) == 0.0)
      {
        blade.skiprand    = true;
        blade.skipsell    = true;
      }
      // PB: Unique Blades <--
      if ( IT_RPG_STYLE && QualityRare < IT_WEAP_RARITY_CUTOFF ) blade.skipsell = true; // TIH do not ever sell extremely rare items
      if (sti(blade.skipsell) != 1 && i<5) blade.replacewith = GetWeaponIDByQuality(id, i+1); // NK 05-04-06 so that if a weapon sellability gets lost due to quality upping (or they buy a -2 or -1 one), we replace with the next up.
      // PB: Disarm mode toggles -->
      if (DISARM_MODE == 2)
      { blade.disarm    = 100;  } // Testmode
      else {blade.disarm  = QualityDisarm;} // Default
      // PB: Disarm mode toggles <--
      blade.folder    = "ammo";
      blade.param.time  = 0.1;
      blade.param.colorstart  = argb(64, 64, 64, 64);
      blade.param.colorend  = argb(0, 32, 32, 32);      
      typetemp = BLADE_ITEM_TYPE;
      blade.types.(typetemp) = true;
      if(nation != "")
      {
        typetemp = IT_TYPE_NATION + nation;
        blade.types.(typetemp) = true;
        typetemp = BLADE_ITEM_TYPE + "_" + typetemp;
        blade.types.(typetemp) = true;
      }
      BladeIndex++;
    }
  }
  else       // Sulan: Not using the Weaponsmod (different qualities)
  {
    makeref(blade,Items[BladeIndex]);
    blade.id                = id;
    blade.groupID           = BLADE_ITEM_TYPE;
    blade.name              = "itmname_" + id;
    blade.describe          = "itmdescr_" + id;
    blade.model             = ModelID;
    blade.picTexture        = "ITEMS_" + picTexture;
    blade.picIndex          = picIndex;
    blade.folder            = "ammo";
    blade.param.time        = 0.1;
    blade.param.colorstart  = argb(64, 64, 64, 64);
    blade.param.colorend    = argb(0, 32, 32, 32);  
    blade.skiptrade         = false;
    blade.skipequip         = false;
    switch(id)
    {
      case "bladelead": blade.stun = 0.10;               // Stun enemies
                        blade.skipequip = true;   break; // Random characters don't use them
      case "bladeclub": blade.stun = 0.75;               // Stun enemies
                        blade.skipequip = true;   break; // Random characters don't use them
      case "blade1" :   blade.param.time  = 0.05; break; // special case
      case "blade24":   blade.param.time  = 0.05; break; // special case
    }
    // PB: Unique Blades -->
    if (IsWeaponUnique(id) && UNIQUE_WEAPONS)
    {
      blade.rare      = 0.00;
    }
    else
    {
      blade.skiprand    = false;
      blade.skipsell    = false; // NK 05-04-06 so traders can buy items but not sell them.
      blade.rare        = Rare;
    }
    if (stf(blade.rare) == 0.0)
    {
      blade.skiprand    = true;
      blade.skipsell    = true;
    }
    // PB: Unique Blades <--

    if ( IT_RPG_STYLE && Rare < IT_WEAP_RARITY_CUTOFF ) blade.skipsell = true; // TIH do not ever sell extremely rare items
  
    blade.minlevel      = MinLevel;
    blade.price         = Price;  
    blade.dmg_min       = DmgMin;
    blade.dmg_max       = DmgMax;
    blade.piercing      = Piercing;
    blade.block         = Blocking;
  
    // PB: Disarm mode toggles -->
    if (DISARM_MODE == 2)   
      { blade.disarm = 100; }     // Testmode
    else          
      { blade.disarm = Disarm; }  // Default
    // PB: Disarm mode toggles <--
  
    BladeIndex++;
  }  
  return BladeIndex;
}

bool IsWeaponUnique(string id)
{
  bool isUnique = false;
  switch(id)
  {
    case "blade18":   isUnique = true;        break;  // Saber of Nicholas Sharp    - Quest only blade
    case "blade24":   isUnique = true;        break;  // English Officer's Saber    - English presentation blade
    case "blade22":   isUnique = true;        break;  // Corsair's Pride        - English presentation blade
    case "blade23":   isUnique = true;        break;  // Dutch Admiralty Sword    - Dutch presentation blade
    case "blade26":   isUnique = true;        break;  // Solingen Rapier        - Dutch presentation blade
    case "blade9":    isUnique = true;        break;  // French Admiralty Rapier    - French presentation blade
    case "blade25":   isUnique = true;        break;  // French Nobility Sword    - French presentation blade
    case "blade33":   isUnique = true;        break;  // Moorish Saber        - Spanish presentation blade
    case "blade14":   isUnique = true;        break;  // Spanish Nobility Longsword - Spanish presentation blade
    case "blade29":   isUnique = true;        break;  // Portugese Officer's Sword  - Portugese presentation blade
    case "blade32":   isUnique = true;        break;  // Damascus Shamshir      - Portugese presentation blade
    case "blade34":   isUnique = true;        break;  // Dragon's Head        - Pirate special blade        
  }
  return isUnique;
}

int InitGun(  ref ItemIndex,
      string  id,
      string  ModelID,
      string  picTexture,
      int   picIndex,
      float Rare,
      int   MinLevel,
      int   Price,
      float DmgMin,
      float DmgMax,
      int   Accuracy,
      int   Charges,
      int   ChargeSpeed,
      string  nation,
      string  sound,
      string  shottype,
      int NoWeaponsMod)
{
  ref gun;
  int i;
  int gunIndex;
  int QualityAccuracy;
  int QualityChargeSpeed;
  int QualityMinLevel;
  int QualityPrice;
  float QualityRare;
  float QualityDmgMin;
  float QualityDmgMax;
  bool  QualitySkipRand;
  bool  QualitySkipSell; // NK 05-04-06 so traders can buy items but not sell them.
  string  QualityTexture;
  string  QualityName;
  string  gunID;
  string  typetemp; // NK 05-04-06
  nation += ""; 
  gunIndex = ItemIndex;
  bool  Unique = false; // PB: Unique Guns
  
  if(ENABLE_WEAPONSMOD && (NoWeaponsMod == 0)) 
  {
    for (i = 0; i < 6; i++)
    {
      QualityDmgMin = (1.0 + (i-2) * 0.05) * DmgMin;
      QualityDmgMax = (1.0 + (i-2) * 0.05) * DmgMax * WEAPMOD_GUNDMG; // * 1.5
      QualityPrice  = (0.5 + stf(i * 0.25)) * Price;
      if ( IT_RPG_STYLE ) QualityRare = Rare * (1.0 - 0.12 * makefloat(abs(1-i))); // TIH so the low quality items show up for low level characters (they get purged at higher levels)
      else        QualityRare = Rare * (1.0 - 0.17 * makefloat(abs(2-i))); // NK 05-04-05 mod so bad items are rarer, as well as excellent, average = Rare
      QualityAccuracy = makeint(-2 + i + Accuracy); // TIH 'makeint' instead of 'sti' Nov21'06
      QualitySkipRand = false;
      QualitySkipSell = false; // NK 05-04-06 so traders can buy items but not sell them. Fix type 05-04-07
      switch(i)
      {
        case 0:
          QualityTexture  = "ITEMS_" + picTexture + "-2";
          QualityName = "Badly worn";
          gunID   = id + "-2";
          if ( !IT_RPG_STYLE ) QualitySkipSell  = true; // TIH skipsell if players are showing all items regardless of level // NK 05-04-06 so traders can buy items but not sell them.
          QualitySkipRand = true;
        break;
  
        case 1:
          QualityTexture  = "ITEMS_" + picTexture + "-1";
          QualityName = "Worn";
          gunID   = id + "-1";
          if ( !IT_RPG_STYLE ) QualitySkipSell  = true; // TIH skipsell if players are showing all items regardless of level // NK 05-04-06 so traders can buy items but not sell them.
        break;
  
        case 2:
          QualityTexture  = "ITEMS_" + picTexture;
          QualityName  = "Average";
          gunID    = id;
        break;
  
        case 3:
          QualityTexture  = "ITEMS_" + picTexture + "+1";
          QualityName = "Good";
          gunID   = id + "+1";
        break;
  
        case 4:
          QualityTexture  = "ITEMS_" + picTexture + "+2";
          QualityName = "Fine";
          gunID   = id + "+2";
          QualitySkipRand = true;
        break;
  
        case 5:
          QualityTexture  = "ITEMS_" + picTexture + "+3";
          QualityName = "Excellent";    // LDH fixed spelling 07May09
          gunID   = id + "+3";
          QualitySkipSell = true;
          QualitySkipRand = true;
        break;
      }
      QualityMinLevel = makeint(-2 + i + MinLevel); // TIH 'makeint' instead of 'sti' Nov21'06 // TIH number change Aug24'06 - TIH fixed to restrict better quality to higher levels
      if(QualityMinLevel < 0)
      {
        QualityMinLevel = 0;
      }
  
      QualityChargeSpeed = ChargeSpeed;
  
      makeref(gun,Items[gunIndex]);
      gun.id          = gunID;
      gun.baseid      = id; // TIH
      gun.sound       = sound;  //JRH
      gun.shottype    = shottype;//JRH
      gun.gunQuality  = i;
      gun.groupID     = GUN_ITEM_TYPE;
      gun.name        = "itmname_" + id;
      gun.describe    = "itmdescr_" + id;
      gun.model       = ModelID;
      gun.chargeQ     = Charges;
      gun.QualityName = QualityName;
      gun.picTexture  = QualityTexture;
      gun.picIndex    = picIndex;
      gun.minlevel    = QualityMinLevel;
      gun.price       = QualityPrice; // LDH 09May09
      gun.dmg_min     = QualityDmgMin;
      gun.dmg_max     = QualityDmgMax;
      gun.chargespeed = QualityChargeSpeed;
      gun.accuracy    = QualityAccuracy;
      switch(id)
      {
        case "pistol3":   gun.multidmg = 1;     break; // PB: Grapeshot Pistol
        case "pistol10":  gun.enblrld  = true;  break; // PB: Shotgun
      }
      // PB: Unique Guns -->
      if (Unique && UNIQUE_WEAPONS)
      {
        gun.rare      = 0.00;
      }
      else
      {
        gun.skiprand    = QualitySkipRand;
        gun.skipsell    = QualitySkipSell; // NK 05-04-06 so traders can buy items but not sell them.
        gun.rare        = QualityRare;
      }
      if (stf(gun.rare) == 0.0)
      {
        gun.skiprand    = true;
        gun.skipsell    = true;
      }
      // PB: Unique Guns <--
      gun.skipequip   = false;
      gun.skiptrade   = false;
      if ( IT_RPG_STYLE && QualityRare < IT_WEAP_RARITY_CUTOFF ) gun.skipsell = true; // TIH do not ever sell extremely rare items
      if (sti(gun.skipsell) != 1 && i<5) gun.replacewith = GetWeaponIDByQuality(id, i+1); // NK 05-04-06 so that if a weapon sellability gets lost due to quality upping (or they buy a -2 or -1 one), we replace with the next up.
      gun.folder      = "ammo";
      typetemp = GUN_ITEM_TYPE;
      gun.types.(typetemp) = true;
      if(nation != "")
      {
        typetemp = IT_TYPE_NATION + nation;
        gun.types.(typetemp) = true;
        typetemp = GUN_ITEM_TYPE + "_" + typetemp;
        gun.types.(typetemp) = true;
      }
      gunIndex++;
    }
  }
  else    // Sulan: Not using the Weaponsmod (different qualities)
  {
    makeref(gun,Items[gunIndex]);
    gun.id      = id;
    gun.name    = "itmname_" + id;
    gun.describe  = "itmdescr_" + id;
    gun.model     = ModelID;
    gun.picIndex  = picIndex;
    gun.picTexture  = "ITEMS_" + picTexture;
    gun.folder    = "ammo";

    switch(id)
    {
      case "pistol10":  Unique = true;
                gun.enblrld = true; break; // PB: Shotgun
      case "pistol3":   gun.multidmg = 1; break; // PB: Grapeshot Pistol
    }
    // PB: Unique Guns -->
    if (Unique && UNIQUE_WEAPONS)
    {
      gun.rare      = 0.00;
    }
    else
    {
      gun.skiprand    = false;
      gun.skipsell    = false; // NK 05-04-06 so traders can buy items but not sell them.
      gun.rare        = Rare;
    }
    if (stf(gun.rare) == 0.0)
    {
      gun.skiprand    = true;
      gun.skipsell    = true;
    }
    // PB: Unique Guns <--
    gun.skipequip = false;
    gun.skiptrade   = false;
    if ( IT_RPG_STYLE && rare < IT_WEAP_RARITY_CUTOFF ) gun.skipsell = true; // TIH do not ever sell extremely rare items
  
    gun.price       = Price;
    gun.minlevel    = Minlevel;
    gun.groupID     = GUN_ITEM_TYPE;
    gun.chargeQ     = Charges;
    gun.chargespeed = ChargeSpeed;
    gun.dmg_min     = DmgMin;
    gun.dmg_max     = DmgMax;
    gun.accuracy    = Accuracy;
    gun.sound       = sound; //JRH
    gun.shottype    = shottype; //JRH 
    gunIndex++;
  }
  return gunIndex;
}
//-------------------------------------------------------------------------------------------------------------------------------
// Sulan: simplified and improved Weaponsmod code by scheffnow   <---
//-------------------------------------------------------------------------------------------------------------------------------


//-------------------------------------------------------------------------------------------------------------------------------
//  scheffnow - tailorsmod -->
// TIH fixed function to "int" ... was "bool" ???
int InitArmor( ref  ItemIndex,
      string  id,
      int  picTexture,
      int  picIndex,
      int  coverage,
      int  bladestop,
      int  bladefrac,
      int  gunstop,
      int  gunfrac,
      int  minlevel )
{
  ref armor;
  int armorIndex = ItemIndex;
  makeref(armor,Items[armorIndex]);
  armor.id      = id;
  armor.groupID   = ARMOR_ITEM_TYPE;
  armor.name      = "itmname_" + id;
  armor.describe    = "itmdescr_" + id;
  armor.model     = "";
  armor.folder    = "items";
  armor.picIndex    = picIndex;
  armor.picTexture  = "ITEMS_" + picTexture;
  armor.modelitem   = true; // NK 05-04-12 to distinguish from normal armor.

  armor.skiptrade   = true;
  armor.skiprand    = true;
  armor.skipequip   = true;
  armor.price     = 1;  // ccc jan06, price was 0 which made this a questitem which can't be transfered
  armor.minlevel    = minlevel;
  armor.rare      = 0.01;

  armor.armor     = 50;
  armor.coverage    = coverage;
  armor.bladestop   = bladestop;
  armor.bladefrac   = bladefrac;
  armor.gunstop   = gunstop;
  armor.gunfrac   = gunfrac;

  armorIndex++;
  return armorIndex;
}
//  scheffnow - tailorsmod <--
//-------------------------------------------------------------------------------------------------------------------------------

//-------------------------------------------------------------------------------------------------------------------------------
// TIH --> compact this file with function usage
int InitStdArmor( ref ItemIndex,
      string  id,
      int   picTexture,
      int   picIndex,
      float rare,
      int   minlevel,
      int   price,
      int   coverage,
      int   bladestop,
      int   bladefrac,
      int   gunstop,
      int   gunfrac,
      int   armorlevel,
      string  cmodel,
      int   quality)
{
  ref armor;
  int armorIndex = ItemIndex;
  makeref(armor,Items[armorIndex]);

  armor.id      = id;
  armor.groupID   = ARMOR_ITEM_TYPE;
  armor.name      = "itmname_" + id;
  armor.describe    = "itmdescr_" + id;
  armor.model     = "";
  armor.folder    = "items";
  armor.picIndex    = picIndex;
  armor.picTexture  = "ITEMS_" + picTexture;
  armor.cmodel    = cmodel;

  armor.skiptrade   = false;
  armor.skiprand    = false;
  armor.skipequip   = false;
  armor.quality   = quality;

  armor.price     = price;
  armor.minlevel    = minlevel;
  armor.rare      = rare;

  //GreatZen -->
  armor.coverage    = coverage;
  armor.bladestop   = bladestop;
  armor.bladefrac   = bladefrac;
  armor.gunstop   = gunstop;
  armor.gunfrac   = gunfrac;
  armor.armor     = armorlevel;
  // GreatZen <--

  if ( id == "cheaparmor" ) armor.skill.fencing = -1; // GreatZen

  armorIndex++;
  return armorIndex;
}
// TIH <--
//-------------------------------------------------------------------------------------------------------------------------------

//-------------------------------------------------------------------------------------------------------------------------------
// TIH --> compact this file with function usage
int InitQuestItem(  ref ItemIndex, string id, string txtname, string model,
            int picTexture, int picIndex,
            int setshown, int shownval,
            string startLocation, string startLocator,
            string useLocation, string useLocator,
            string quest, string tex, string pic
          )
{
  ref qstitm;
  int qstitmIndex = ItemIndex;
  makeref(qstitm,Items[qstitmIndex]);

  qstitm.id       = id;
  qstitm.name     = "itmname_" + txtname;
  qstitm.describe   = "itmdescr_" + txtname;
  qstitm.picIndex   = picIndex;
  qstitm.picTexture   = "ITEMS_" + picTexture;
  qstitm.model    = model;
  qstitm.skiptrade  = true;
  qstitm.skiprand   = true;
  qstitm.skipequip  = true;
  qstitm.price    = 0;
  qstitm.groupID    = QUEST_ITEM_TYPE;//MAXIMUS

  if ( setshown == 1 ) qstitm.shown = shownval;

  if ( startLocation != "" )  qstitm.startLocation  = startLocation;
  if ( startLocator != "" )   qstitm.startLocator   = startLocator;
  if ( useLocation != "" )  qstitm.useLocation    = useLocation;
  if ( useLocator != "" )   qstitm.useLocator     = useLocator;

  if ( quest != "" )  qstitm.quest    = quest;
  if ( tex != "" )  qstitm.quest.tex  = tex;
  if ( pic != "" )  qstitm.quest.pic  = pic;

  qstitmIndex++;
  return qstitmIndex;
}
// TIH <--
//-------------------------------------------------------------------------------------------------------------------------------

//-------------------------------------------------------------------------------------------------------------------------------
// TIH --> compact this file with function usage
int InitSpyglass(
      ref   ItemIndex,
      string  id,
      string  model,
      int   picTexture,
      int   picIndex,
      float rare,
      int   minlevel,
      float price,
      string  texture,

      float zoom,
      int   time_activate,
      int   time_update,
      int   nation,
      int   ship_name,
      int   ship_type,
      int   cannons,
      int   hull,
      int   sail,
      int   crew,
      int   speed,
      int   charge,

      int quality, int skipsell, int skiprand, int skipequip
      )
{
  ref spyitm;
  int spyIndex = ItemIndex;
  makeref(spyitm,Items[spyIndex]);

  spyitm.id       = id;
  spyitm.name     = "itmname_" + id;
  spyitm.describe   = "itmdescr_" + id;
  spyitm.model    = model;
  spyitm.picIndex   = picIndex;
  spyitm.picTexture   = "ITEMS_" + picTexture;
  spyitm.folder     = "items";
  spyitm.groupID    = SPYGLASS_ITEM_TYPE;

  spyitm.price  = price;
  spyitm.minlevel = minlevel;
  spyitm.rare   = rare;

  spyitm.skiptrade = false;
  spyitm.skipsell  = skipsell;
  spyitm.skiprand  = skiprand;
  spyitm.skipequip = skipequip;
  spyitm.quality   = quality;

  spyitm.scope.texture    = texture;
  spyitm.scope.zoom       = zoom;
  spyitm.scope.time_activate  = time_activate;
  spyitm.scope.time_update  = time_update;
  spyitm.scope.show.nation  = nation;
  spyitm.scope.show.cannons   = cannons;
  spyitm.scope.show.ship_name = ship_name;
  spyitm.scope.show.ship_type = ship_type;
  spyitm.scope.show.hull    = hull;
  spyitm.scope.show.sail    = sail;
  spyitm.scope.show.crew    = crew;
  spyitm.scope.show.speed   = speed;
  spyitm.scope.show.charge  = charge;

  spyIndex++;
  return spyIndex;
}
// TIH <--
//-------------------------------------------------------------------------------------------------------------------------------

//-------------------------------------------------------------------------------------------------------------------------------
// TIH --> compact this file with function usage
int InitPotion(
      ref   ItemIndex,
      string  id,
      string  model,
      int   picTexture,
      int   picIndex,
      float rare,
      int   minlevel,
      float price,

      float numrand,
      int   pic,
      int   tex,
      bool  antidote,
      float health,
      int   quality,

      int skipsell, int skiprand, int skipequip
      )
{
  ref potionitm;
  int potionIndex = ItemIndex;
  makeref(potionitm,Items[potionIndex]);

  potionitm.id      = id;
  potionitm.name      = "itmname_" + id;
  potionitm.describe    = "itmdescr_" + id;
  potionitm.model     = model;
  potionitm.picIndex    = picIndex;
  potionitm.picTexture  = "ITEMS_" + picTexture;
  potionitm.groupID     = POTION_ITEM_TYPE;//MAXIMUS

  potionitm.numrand   = RANDITEMS_MAXCHANCE * numrand; // 05-07-22
  potionitm.skiptrade = false;
  potionitm.skipsell  = skipsell;
  potionitm.skiprand  = skiprand;
  potionitm.skipequip = skipequip;
  potionitm.quality   = quality;

//  potionitm.shown     = false;
  potionitm.price     = price;
  potionitm.potion.pic  = pic;
  potionitm.potion.tex  = tex;
  if ( health > 0 )     potionitm.potion.health = health;
  if ( antidote )     potionitm.potion.antidote = true;
  potionitm.minlevel    = minlevel;
  potionitm.rare      = rare;

  potionIndex++;
  return potionIndex;
}
// TIH <--
//-------------------------------------------------------------------------------------------------------------------------------

//-------------------------------------------------------------------------------------------------------------------------------
// TIH --> compact this file with function usage
int InitItem( ref   ItemIndex,
              string  id,
              string  model,
              string  picTexture,
              int   picIndex,
              float rare,
              int   minlevel,
              float price,
              int   indiantype,
              int numneeded, int stack, int hidden,
              int leadership, int fencing, int sailing, int accuracy, int cannons,
              int grappling, int repair, int defence, int commerce, int sneak,
              int skiptrade, int skiprand, int skipequip, int skipsell
          )
{
  ref genitm;
  int genitmIndex = ItemIndex;
  makeref(genitm,Items[genitmIndex]);
  trace("InitItem called : "+genitmIndex+" "+id);
  genitm.id       = id;
  genitm.name     = "itmname_" + id;
  genitm.describe   = "itmdescr_" + id;
  genitm.model    = model;
  genitm.picTexture   = "ITEMS_" + picTexture;
  genitm.picIndex   = picIndex;

  // GreatZen -->
  if ( leadership != 0 )  genitm.skill.leadership   = leadership;
  if ( fencing  != 0 )  genitm.skill.fencing    = fencing;
  if ( sailing  != 0 )  genitm.skill.sailing    = sailing;
  if ( accuracy   != 0 )  genitm.skill.accuracy     = accuracy;
  if ( cannons  != 0 )  genitm.skill.cannons    = cannons;
  if ( grappling  != 0 )  genitm.skill.grappling    = grappling;
  if ( repair   != 0 )  genitm.skill.repair     = repair;
  if ( defence  != 0 )  genitm.skill.defence    = defence;
  if ( commerce   != 0 )  genitm.skill.commerce     = commerce;
  if ( sneak    != 0 )  genitm.skill.sneak      = sneak;

  genitm.skill.num = 1;//MAXIMUS
  if ( numneeded > 1 )  genitm.skill.num      = numneeded;
  genitm.skill.stack = 1;//MAXIMUS
  if ( stack > 1 )    genitm.skill.stack      = stack;
  genitm.skill.hidden = false;//MAXIMUS
  if ( hidden == 1)     genitm.skill.hidden     = true;
  // GreatZen <--

  genitm.skiptrade = skiptrade;
  genitm.skiprand  = skiprand;
  genitm.skipequip = skipequip;
  genitm.skipsell = skipsell;

  genitm.types.indian = false;//MAXIMUS
  if ( indiantype == 1 )  genitm.types.indian = true;

  genitm.groupID = OBJECT_ITEM_TYPE; // KK
  switch(id)
  {
    case "lockpick": genitm.groupID = LOCKPICK_ITEM_TYPE; break;  // PB: Lockpick
    case "compass1": genitm.groupID = COMPASS_ITEM_TYPE;  break;  // PB: Compass
    case "compass2": genitm.groupID = COMPASS_ITEM_TYPE;  break;  // PB: Compass
    case "compass3": genitm.groupID = COMPASS_ITEM_TYPE;  break;  // KK: Compass
    case "clock1"  : genitm.groupID = CLOCK_ITEM_TYPE;    break;  // PB: Clock
    case "clock2"  : genitm.groupID = CLOCK_ITEM_TYPE;    break;  // PB: Clock
  }

  //genitm.shown    = false;
  genitm.price    = price;
  genitm.minlevel   = minlevel;
  genitm.rare     = rare;

  genitmIndex++;
  return genitmIndex;
}
// TIH <--
//-------------------------------------------------------------------------------------------------------------------------------

//-------------------------------------------------------------------------------------------------------------------------------
// TIH --> compact this file with function usage
int InitPickUpItem( ref ItemIndex, string id, string model, float rare, int gold, float numrand )
{
  ref itm;
  int itmIndex = ItemIndex;
  makeref(itm,Items[itmIndex]);

  itm.id      = id;
  itm.name    = "itmname_" + id;
  itm.model     = model;

  itm.skiptrade   = true;
  itm.skiprand  = false;
  itm.skipequip   = true;
  itm.numrand   = numrand;
  itm.groupID = OBJECT_ITEM_TYPE; // KK


//  itm.shown     = false;
  itm.minlevel  = 0;
  itm.rare    = rare;
  itm.gold    = gold;

  // PB: Add picture -->
  itm.picIndex  = 2;
  itm.picTexture  = "ITEMS_4";
  // PB: Add picture <--

  itmIndex++;
  return itmIndex;
}
// TIH <--
//-------------------------------------------------------------------------------------------------------------------------------

//-------------------------------------------------------------------------------------------------------------------------------
// TIH --> compact this file with function usage
int InitApothItem(  ref ItemIndex, string id, string model, string picTexture, int picIndex,
          float rare, int minlevel, float price,
          bool potiontype, int pic, int tex, bool antidote, float health,
          int skipsell, int skiprand, int skipequip
        )
{
  ref itm;
  int itmIndex = ItemIndex;
  makeref(itm,Items[itmIndex]);

  itm.id      = id;
  itm.name    = "itmname_" + id;
  itm.describe  = "itmdescr_" + id;
  itm.model     = model;
  itm.picIndex  = picIndex;
  itm.picTexture  = "ITEMS_" + picTexture;
  itm.groupID = POTION_ITEM_TYPE; // KK

  itm.skiptrade   = false;
  itm.skipsell    = skipsell;
  itm.skiprand  = skiprand;
  itm.skipequip   = skipequip;

//  itm.shown     = false;
  itm.rare    = rare;
  itm.minlevel  = minlevel;
  itm.price     = price;

  if ( potiontype ) {
    itm.potion.pic = pic;
    itm.potion.tex = tex;
    if ( antidote )   itm.potion.antidote = true;
    if ( health != 0 )  itm.potion.health = health;
  }

  itmIndex++;
  return itmIndex;
}
// TIH <--
//-------------------------------------------------------------------------------------------------------------------------------

//-------------------------------------------------------------------------------------------------------------------------------
// TIH --> compact this file with function usage
int InitAmmoMod(  ref ItemIndex, string id, string groupID, int picIndex,
          int minlevel, int price,
          int skiptrade, int skiprand, int skipequip
        )
{
  ref ammoitm;
  int ammoitmIndex = ItemIndex;
  makeref(ammoitm,Items[ammoitmIndex]);

  ammoitm.id      = id;
  ammoitm.name    = "itmname_" + id;
  ammoitm.describe  = "itmdescr_" + id;
  ammoitm.model     = "";
  ammoitm.picIndex  = picIndex;
  ammoitm.picTexture  = "ITEMS_JRH";

  ammoitm.skiptrade   = skiptrade;
  ammoitm.skiprand  = skiprand;
  ammoitm.skipequip   = skipequip;
  if ( groupID != "" ) ammoitm.groupID = groupID;
//  ammoitm.shown     = false;
  ammoitm.price     = price;
  ammoitm.minlevel  = minlevel;
  ammoitm.rare    = 0.1;

  ammoitmIndex++;
  return ammoitmIndex;
}
// TIH <--
//-------------------------------------------------------------------------------------------------------------------------------

//-------------------------------------------------------------------------------------------------------------------------------
// TIH --> compact this file with function usage
int InitBLDexterior(  ref ItemIndex, string id, string model,
            string chrmodel, string dialog, int planks, int money, int crew,
            float dmg_min, float dmg_max, int piercing, int block
          )
{
  ref bld;
  int bldIndex = ItemIndex;
  makeref(bld,Items[bldIndex]);

  bld.id      = id;
  bld.groupID   = BLADE_ITEM_TYPE;
  bld.name    = "itmname_building";
  bld.describe  = "itmdescr_building";
  bld.picIndex  = 13;
  bld.picTexture  = "ITEMS_4";
  bld.folder    = "ammo";
  bld.model     = "BuildingSet\"+model; // PB: Clean up "AMMO" subfolder
  bld.building.chrmodel   = chrmodel;
  bld.building.dialog   = dialog;
  bld.building.planks   = planks;
  bld.building.money    = money;
  bld.building.crew     = crew;
  bld.dmg_min   = dmg_min;
  bld.dmg_max   = dmg_max;
  bld.piercing  = piercing;
  bld.block     = block;

  bldIndex++;
  return bldIndex;
}
// TIH <--
//-------------------------------------------------------------------------------------------------------------------------------

//-------------------------------------------------------------------------------------------------------------------------------
// TIH --> compact this file with function usage
int InitBLDinterior(  ref ItemIndex, string id, string model,
            int planks, int money, int crew,
            int chargeQ, int chargespeed, float dmg_min, float dmg_max, int accuracy
          )
{
  ref bld;
  int bldIndex = ItemIndex;
  makeref(bld,Items[bldIndex]);

  bld.id      = id;
  bld.groupID   = GUN_ITEM_TYPE;
  bld.name    = "itmname_building";
  bld.describe  = "itmdescr_building";
  bld.picIndex  = 13;
  bld.picTexture  = "ITEMS_4";
  bld.folder    = "ammo";
  bld.model     = "BuildingSet\"+model; // PB: Clean up "AMMO" subfolder
  bld.building.planks = planks;
  bld.building.money  = money;
  bld.building.crew   = crew;
  bld.chargeQ   = chargeQ;
  bld.chargespeed = chargespeed;
  bld.dmg_min   = dmg_min;
  bld.dmg_max   = dmg_max;
  bld.accuracy  = accuracy;

  bldIndex++;
  return bldIndex;
}
// TIH <--
//-------------------------------------------------------------------------------------------------------------------------------

// KK -->
int InitMap(int n, ref map)
{
  ref refMap;

  if (!CheckAttribute(map, "id")) return n;
  if (!FindFile("RESOURCE\Textures\INTERFACES\Maps", "*.tga.tx", map.id + ".tga.tx")) return n;

  makeref(refMap, Items[n]);
  DeleteAttribute(refMap, "");
  CopyAttributes(refMap, map);
  refMap.index = n;
  refMap.picTexture = "items_maps";
  refMap.numrand = 0;
  refMap.quality = -1;
  refMap.skipequip = true;
  refMap.skiptype = true;
  if (!CheckAttribute(map, "skiptrade")) {
    refMap.skiptrade = false;
    refMap.skipgeneral = false;
  }
  if (!CheckAttribute(map, "skipsell")) refMap.skipsell = false;
  refMap.groupID = MAP_ITEM_TYPE;
  n++;

  DeleteAttribute(map, "");

  return n;
}

int InitMaps(int n)
{
  object Map;
  ref curMap; makeref(curMap, Map);

  curMap.id = "map";
  curMap.name = "itmname_map";
  curMap.describe = "itmdescr_map";
  curMap.island = "Archipelago";
  curMap.location = TranslateString("", "Archipelago");
  curMap.picIndex = 1;
  curMap.price = 2000;
  curMap.skiptrade = true;
  curMap.skipsell = true;

  int startX = 188;
  int startY = 69;
  int endX = 498;
  int endY = 439;

  float FAKE_MAP_TO_SEA_SCALE_X = makefloat(2000/makeint(endX-startX));
  float FAKE_MAP_TO_SEA_SCALE_Y = makefloat(2000/makeint(endY-startY))*1.05;

  float fakeMapPosX = makefloat(makeint(makeint(endX-startX)/2)+startX);
  float fakeMapPosY = makefloat(makeint(makeint(endY-startY)/2)+startY);

  curMap.map_to_sea_scale.x = FAKE_MAP_TO_SEA_SCALE_X;
  curMap.map_to_sea_scale.y = FAKE_MAP_TO_SEA_SCALE_Y;
  curMap.X = fakeMapPosX;
  curMap.Y = fakeMapPosY;

  curMap.labels = "";
  aref labels; makearef(labels, curMap.labels);
  labels.FalaiseDeFleur.label = TranslateString("", FindIslandName("Falaise De Fleur"));
  labels.FalaiseDeFleur.pos.x = 345;//378;
  labels.FalaiseDeFleur.pos.y = 400;//383;
  labels.Redmond.label = TranslateString("", FindIslandName("Redmond"));
  labels.Redmond.pos.x = 315;//344;
  labels.Redmond.pos.y = 200;//194;
  labels.Oxbay.label = TranslateString("", FindIslandName("Oxbay"));
  labels.Oxbay.pos.x = 293;
  labels.Oxbay.pos.y = 379;
  labels.Douwesen.label = TranslateString("", FindIslandName("Douwesen"));
  labels.Douwesen.pos.x = 213;
  labels.Douwesen.pos.y = 269;
  labels.Conceicao.label = TranslateString("", FindIslandName("Conceicao"));
  labels.Conceicao.pos.x = 210;
  labels.Conceicao.pos.y = 358;
  labels.IslaMuelle.label = TranslateString("", FindIslandName("Isla Muelle"));
  labels.IslaMuelle.pos.x = 435;//468;
  labels.IslaMuelle.pos.y = 270;//259;
  labels.QuebradasCostillas.label = TranslateString("", FindIslandName("Quebradas Costillas"));
  labels.QuebradasCostillas.pos.x = 400;//454;
  labels.QuebradasCostillas.pos.y = 345;//338;
  labels.KhaelRoa.label = TranslateString("", FindIslandName("Khael Roa"));
  labels.KhaelRoa.pos.x = 202;
  labels.KhaelRoa.pos.y = 144;
  labels.Cayman.label = TranslateString("", FindIslandName("Cayman"));
  labels.Cayman.pos.x = 271;
  labels.Cayman.pos.y = 157;
  labels.Hispaniola.label = TranslateString("", FindIslandName("Hispaniola"));
  labels.Hispaniola.pos.x = 415;//446;
  labels.Hispaniola.pos.y = 178;//168;
  labels.Tortuga.label = TranslateString("", FindIslandName("Tortuga"));
  labels.Tortuga.pos.x = 428;
  labels.Tortuga.pos.y = 128;
  labels.Cuba.label = TranslateString("", FindIslandName("Cuba"));
  labels.Cuba.pos.x = 352;
  labels.Cuba.pos.y = 93;
  labels.Guadeloupe.label = TranslateString("", FindIslandName("Guadeloupe"));
  labels.Guadeloupe.pos.x = 380;//418;
  labels.Guadeloupe.pos.y = 369;
  labels.SaintMartin.label = TranslateString("", FindIslandName("Saint Martin"));
  labels.SaintMartin.pos.x = 435;//497;
  labels.SaintMartin.pos.y = 330;//331;
  labels.Antigua.label = TranslateString("", FindIslandName("Antigua"));
  labels.Antigua.pos.x = 440;//459;
  labels.Antigua.pos.y = 410;//381;
  labels.Turks.label = TranslateString("", FindIslandName("Turks"));
  labels.Turks.pos.x = 439;
  labels.Turks.pos.y = 90;
  labels.Curacao.label = TranslateString("", FindIslandName("Curacao"));
  labels.Curacao.pos.x = 290;
  labels.Curacao.pos.y = 296;
  labels.Eleuthera.label = TranslateString("", FindIslandName("Eleuthera"));
  labels.Eleuthera.pos.x = 230;//275;
  labels.Eleuthera.pos.y = 89;
  labels.Aruba.label = TranslateString("", FindIslandName("Aruba"));
  labels.Aruba.pos.x = 219;
  labels.Aruba.pos.y = 209;
  n = InitMap(n, curMap);

  curMap.id = "mapKhaelRoa";
  curMap.name = "itmname_mapIsland";
  curMap.describe = "itmdescr_mapIsland";
  curMap.island = "KhaelRoa";
  curMap.location = TranslateString("", FindIslandName("Khael Roa"));
  curMap.picIndex = 2;
  curMap.price = 1000;
  curMap.labels = "";
  makearef(labels, curMap.labels);
  labels.temple.label = TranslateString("", "Incas Temple");
  labels.temple.pos.x = 140;
  labels.temple.pos.y = 150;
  n = InitMap(n, curMap);

  curMap.id = "mapAntigua";
  curMap.name = "itmname_mapIsland";
  curMap.describe = "itmdescr_mapIsland";
  curMap.island = "Antigua";
  curMap.location = TranslateString("", FindIslandName("Antigua"));
  curMap.picIndex = 29;
  curMap.price = 1000;
  curMap.labels = "";
  makearef(labels, curMap.labels);
  labels.StJohns.label = TranslateString("", FindTownName("St John's"));
  //labels.StJohns.ShowTownNation = "St John's";
  labels.StJohns.pos.x = 232;
  labels.StJohns.pos.y = 255;
  n = InitMap(n, curMap);

  curMap.id = "mapCayman";
  curMap.name = "itmname_mapIsland";
  curMap.describe = "itmdescr_mapIsland";
  curMap.island = "Cayman";
  curMap.location = TranslateString("", FindIslandName("Cayman"));
  curMap.picIndex = 6;
  curMap.price = 1000;
  curMap.labels = "";
  makearef(labels, curMap.labels);
  labels.Cayman.label = TranslateString("", FindTownName("Grand Cayman"));
  labels.Cayman.pos.x = 315;
  labels.Cayman.pos.y = 290;
  n = InitMap(n, curMap);

  curMap.id = "mapConceicao";
  curMap.name = "itmname_mapIsland";
  curMap.describe = "itmdescr_mapIsland";
  curMap.island = "Conceicao";
  curMap.location = TranslateString("", FindIslandName("Conceicao"));
  curMap.picIndex = 8;
  curMap.price = 1000;
  curMap.labels = "";
  makearef(labels, curMap.labels);
  labels.Conceicao.label = TranslateString("", FindTownName("Conceicao"));
  labels.Conceicao.pos.x = 245;
  labels.Conceicao.pos.y = 215;
  n = InitMap(n, curMap);

  curMap.id = "mapCuba";
  curMap.name = "itmname_mapIsland";
  curMap.describe = "itmdescr_mapIsland";
  curMap.island = "Cuba";
  curMap.location = TranslateString("", FindIslandName("Cuba"));
  curMap.picIndex = 21;
  curMap.price = 1000;
  curMap.labels = "";
  makearef(labels, curMap.labels);
  labels.Havana.label = TranslateString("", FindTownName("Havana"));
  labels.Havana.pos.x = 88;
  labels.Havana.pos.y = 145;
  labels.Santiago.label = TranslateString("", FindTownName("Santiago"));
  labels.Santiago.pos.x = 330;
  labels.Santiago.pos.y = 323;
  n = InitMap(n, curMap);

  curMap.id = "mapDouwesen";
  curMap.name = "itmname_mapIsland";
  curMap.describe = "itmdescr_mapIsland";
  curMap.island = "Douwesen";
  curMap.location = TranslateString("", FindIslandName("Douwesen"));
  curMap.picIndex = 13;
  curMap.price = 1000;
  curMap.labels = "";
  makearef(labels, curMap.labels);
  labels.Douwesen.label = TranslateString("", FindTownName("Douwesen"));
  labels.Douwesen.pos.x = 290;
  labels.Douwesen.pos.y = 250;
  n = InitMap(n, curMap);

  curMap.id = "mapFalaiseDeFleur";
  curMap.name = "itmname_mapIsland";
  curMap.describe = "itmdescr_mapIsland";
  curMap.island = "FalaiseDeFleur";
  curMap.location = TranslateString("", FindIslandName("Falaise de Fleur"));
  curMap.picIndex = 14;
  curMap.price = 1000;
  curMap.labels = "";
  makearef(labels, curMap.labels);
  labels.FalaiseDeFleur.label = TranslateString("", FindTownName("Falaise de Fleur"));
  labels.FalaiseDeFleur.pos.x = 213;
  labels.FalaiseDeFleur.pos.y = 265;
  n = InitMap(n, curMap);

  curMap.id = "mapGuadeloupe";
  curMap.name = "itmname_mapIsland";
  curMap.describe = "itmdescr_mapIsland";
  curMap.island = "Guadeloupe";
  curMap.location = TranslateString("", FindIslandName("Guadeloupe"));
  curMap.picIndex = 24;
  curMap.price = 1000;
  curMap.labels = "";
  makearef(labels, curMap.labels);
  labels.PointeaPitre.label = TranslateString("", FindTownName("Pointe a Pitre"));
  labels.PointeaPitre.pos.x = 260;
  labels.PointeaPitre.pos.y = 233;
  n = InitMap(n, curMap);

  curMap.id = "mapHispaniola";
  curMap.name = "itmname_mapIsland";
  curMap.describe = "itmdescr_mapIsland";
  curMap.island = "Hispaniola";
  curMap.location = TranslateString("", FindIslandName("Hispaniola"));
  curMap.picIndex = 22;
  curMap.price = 1000;
  curMap.labels = "";
  makearef(labels, curMap.labels);
  labels.portauprince.label = TranslateString("", FindTownName("Port au Prince"));
  labels.portauprince.pos.x = 165;
  labels.portauprince.pos.y = 268;
  labels.tortuga.label = TranslateString("", FindTownName("tortuga"));
  labels.tortuga.pos.x = 172;
  labels.tortuga.pos.y = 106;
  labels.santodomingo.label = TranslateString("", FindTownName("santo domingo"));
  labels.santodomingo.pos.x = 288;
  labels.santodomingo.pos.y = 370;
  n = InitMap(n, curMap);

  curMap.id = "mapIslaMuelle";
  curMap.name = "itmname_mapIsland";
  curMap.describe = "itmdescr_mapIsland";
  curMap.island = "IslaMuelle";
  curMap.location = TranslateString("", FindIslandName("Isla Muelle"));
  curMap.picIndex = 16;
  curMap.price = 1000;
  curMap.labels = "";
  makearef(labels, curMap.labels);
  labels.IslaMuelle.label = TranslateString("", FindTownName("Isla Muelle"));
  labels.IslaMuelle.pos.x = 238;
  labels.IslaMuelle.pos.y = 221;
  n = InitMap(n, curMap);

  curMap.id = "mapOxbay";
  curMap.name = "itmname_mapIsland";
  curMap.describe = "itmdescr_mapIsland";
  curMap.island = "Oxbay";
  curMap.location = TranslateString("", FindIslandName("Oxbay"));
  curMap.picIndex = 7;
  curMap.price = 1000;
  curMap.labels = "";
  makearef(labels, curMap.labels);
  labels.Oxbay.label = TranslateString("", FindTownName("Oxbay"));
  labels.Oxbay.pos.x = 365;
  labels.Oxbay.pos.y = 333;
  labels.Greenford.label = TranslateString("", FindTownName("Greenford"));
  labels.Greenford.pos.x = 145;
  labels.Greenford.pos.y = 237;
  n = InitMap(n, curMap);

  curMap.id = "mapQuebradasCostillas";
  curMap.name = "itmname_mapIsland";
  curMap.describe = "itmdescr_mapIsland";
  curMap.island = "QuebradasCostillas";
  curMap.location = TranslateString("", FindIslandName("Quebradas Costillas"));
  curMap.picIndex = 23;
  curMap.price = 1000;
  curMap.labels = "";
  makearef(labels, curMap.labels);
  labels.QuebradasCostillas.label = TranslateString("", FindTownName("Quebradas Costillas"));
  labels.QuebradasCostillas.pos.x = 65;
  labels.QuebradasCostillas.pos.y = 299;
  labels.Charlestown.label = TranslateString("", FindTownName("Charlestown"));
  labels.Charlestown.pos.x = 99;
  labels.Charlestown.pos.y = 160;
  n = InitMap(n, curMap);

  curMap.id = "mapRedmond";
  curMap.name = "itmname_mapIsland";
  curMap.describe = "itmdescr_mapIsland";
  curMap.island = "Redmond";
  curMap.location = TranslateString("", FindIslandName("Redmond"));
  curMap.picIndex = 5;
  curMap.price = 1000;
  curMap.labels = "";
  makearef(labels, curMap.labels);
  labels.Redmond.label = TranslateString("", FindTownName("Redmond"));
  labels.Redmond.pos.x = 375;
  labels.Redmond.pos.y = 282;
  n = InitMap(n, curMap);

  curMap.id = "mapSaintMartin";
  curMap.name = "itmname_mapIsland";
  curMap.describe = "itmdescr_mapIsland";
  curMap.island = "SaintMartin";
  curMap.location = TranslateString("", FindIslandName("Saint Martin"));
  curMap.picIndex = 31;
  curMap.price = 1000;
  curMap.labels = "";
  makearef(labels, curMap.labels);
  labels.Marigot.label = TranslateString("", FindTownName("Marigot"));
  labels.Marigot.pos.x = 353;
  labels.Marigot.pos.y = 296;
  labels.Philipsburg.label = TranslateString("", FindTownName("Philipsburg"));
  labels.Philipsburg.pos.x = 275;
  labels.Philipsburg.pos.y = 180;
  n = InitMap(n, curMap);

  curMap.id = "mapTurks";
  curMap.name = "itmname_mapIsland";
  curMap.describe = "itmdescr_mapIsland";
  curMap.island = "Turks";
  curMap.location = TranslateString("", FindIslandName("Turks"));
  curMap.picIndex = 30;
  curMap.price = 1000;
  curMap.labels = "";
  makearef(labels, curMap.labels);
  labels.Turks.label = TranslateString("", FindTownName("Grand Turk"));
  labels.Turks.pos.x = 240;
  labels.Turks.pos.y = 251;
  n = InitMap(n, curMap);

  curMap.id = "mapAruba";
  curMap.name = "itmname_mapIsland";
  curMap.describe = "itmdescr_mapIsland";
  curMap.island = "Aruba";
  curMap.location = TranslateString("", FindIslandName("Aruba"));
  curMap.picIndex = 15;
  curMap.price = 1000;
  curMap.labels = "";
  makearef(labels, curMap.labels);
  labels.Aruba.label = TranslateString("", FindTownName("Oranjestad"));
  labels.Aruba.pos.x = 310;
  labels.Aruba.pos.y = 289;
  n = InitMap(n, curMap);

  curMap.id = "mapCuracao";
  curMap.name = "itmname_mapIsland";
  curMap.describe = "itmdescr_mapIsland";
  curMap.island = "Curacao";
  curMap.location = TranslateString("", FindIslandName("Curacao"));
  curMap.picIndex = 20;
  curMap.price = 1000;
  curMap.labels = "";
  makearef(labels, curMap.labels);
  labels.Curacao.label = TranslateString("", FindTownName("Willemstad"));
  labels.Curacao.pos.x = 314;
  labels.Curacao.pos.y = 165;
  n = InitMap(n, curMap);

  curMap.id = "mapEleuthera";
  curMap.name = "itmname_mapIsland";
  curMap.describe = "itmdescr_mapIsland";
  curMap.island = "Eleuthera";
  curMap.location = TranslateString("", FindIslandName("Eleuthera"));
  curMap.picIndex = 32;
  curMap.price = 1000;
  curMap.labels = "";
  makearef(labels, curMap.labels);
  labels.Eleuthera.label = TranslateString("", FindTownName("Eleuthera"));
  labels.Eleuthera.pos.x = 243;
  labels.Eleuthera.pos.y = 195;
  labels.Alice.label = TranslateString("", FindTownName("Alice"));
  labels.Alice.pos.x = 165;
  labels.Alice.pos.y = 255;
  n = InitMap(n, curMap);

  curMap.id = "mapRedmond_Dungeon";
  curMap.name = "itmname_mapDungeon";
  curMap.describe = "itmdescr_mapDungeon";
  curMap.island = "Redmond";
  curMap.location = TranslateString("", FindTownName("Redmond"));
  curMap.picIndex = 3;
  curMap.price = 1500;
  curMap.labels = "";
  makearef(labels, curMap.labels);
  n = InitMap(n, curMap);

  curMap.id = "mapOxbay_Dungeon";
  curMap.name = "itmname_mapDungeon";
  curMap.describe = "itmdescr_mapDungeon";
  curMap.island = "Oxbay";
  curMap.location = TranslateString("", FindTownName("Oxbay"));
  curMap.picIndex = 9;
  curMap.price = 1500;
  curMap.labels = "";
  makearef(labels, curMap.labels);
  n = InitMap(n, curMap);

  curMap.id = "mapOxbay_Cave";
  curMap.name = "itmname_mapCave";
  curMap.describe = "itmdescr_mapCave";
  curMap.island = "Oxbay";
  curMap.location = TranslateString("", FindIslandName("Oxbay"));
  curMap.picIndex = 10;
  curMap.price = 1200;
  curMap.labels = "";
  makearef(labels, curMap.labels);
  n = InitMap(n, curMap);

  curMap.id = "mapDouwesen_Cave";
  curMap.name = "itmname_mapCave";
  curMap.describe = "itmdescr_mapCave";
  curMap.island = "Douwesen";
  curMap.location = TranslateString("", FindIslandName("Douwesen"));
  curMap.picIndex = 11;
  curMap.price = 1200;
  curMap.labels = "";
  makearef(labels, curMap.labels);
  n = InitMap(n, curMap);

  curMap.id = "mapKhaelRoa_TempleGround";
  curMap.name = "itmname_mapKRTempleGround";
  curMap.describe = "itmdescr_mapKRTempleGround";
  curMap.island = "KhaelRoa";
  curMap.location = TranslateString("", FindIslandName("Khael Roa"));
  curMap.picIndex = 12;
  curMap.price = 1300;
  curMap.labels = "";
  makearef(labels, curMap.labels);
  n = InitMap(n, curMap);

  curMap.id = "mapKhaelRoa_TempleUpper";
  curMap.name = "itmname_mapKRTempleUpper";
  curMap.describe = "itmdescr_mapKRTempleUpper";
  curMap.island = "KhaelRoa";
  curMap.location = TranslateString("", FindIslandName("Khael Roa"));
  curMap.picIndex = 4;
  curMap.price = 1300;
  curMap.labels = "";
  makearef(labels, curMap.labels);
  n = InitMap(n, curMap);

  return n;
}
// <-- KK